!******************************************************************************!
!                                                                              !
!    class_couplings.f90                                                       !
!    is part of RECOLA2 (REcursive Computation of One Loop Amplitudes)2        !
!                                                                              !
!    Copyright (C) 2016,2017 Ansgar Denner, Jean-Nicolas Lang and              !
!                            Sandro Uccirati                                   !
!                                                                              !
!    RECOLA2 is licenced under the GNU GPL version 3,                          !
!    see COPYING for details.                                                  !
!                                                                              !
!******************************************************************************!
!                                                           .---.              !
!                                                          /  .  \             !
!                                                         |\_/|   |            !
!                                                         |   |  /|            !
!          .----------------------------------------------------' |            !
!         /  .-.   class_couplings.f90                            |            !
!        |  /   \  This code was generated with REPT1L.           |            !
!        | |\_.  | Change this file and you get what you deserve. |            !
!        |\|  | /| Author: J.N. Lang                              |            !
!        | `---' | UFO date: 07/2017                              |            !
!        |       | UFO version: 1.0                               |            !
!        |       | Generation date: 2017-09-13 22:48             /             !
!        |       |----------------------------------------------'              !
!        \       |                                                             !
!         \     /                                                              !
!          `---'                                                               !
!******************************************************************************!
module class_couplings
  use constants_mdl
  use class_particles
  implicit none
  save
  integer, parameter :: n = 174

  logical :: couplings_init = .false.
  logical :: ctcouplings_init = .false.
  complex(dp) :: coupl(1116)
  integer, parameter :: nGC_1072 = 1
  integer, parameter :: nGC_206 = 2
  integer, parameter :: nGC_471 = 3
  integer, parameter :: nGC_496 = 4
  integer, parameter :: nGC_497 = 5
  integer, parameter :: nGC_494 = 6
  integer, parameter :: nGC_495 = 7
  integer, parameter :: nGC_MZ_GF = 8
  integer, parameter :: nGC_493 = 9
  integer, parameter :: nGC_490 = 10
  integer, parameter :: nGC_491 = 11
  integer, parameter :: nGC_556 = 12
  integer, parameter :: nGC_599 = 13
  integer, parameter :: nGC_551 = 14
  integer, parameter :: nGC_499 = 15
  integer, parameter :: nGC_28 = 16
  integer, parameter :: nGC_29 = 17
  integer, parameter :: nGC_66 = 18
  integer, parameter :: nGC_242 = 19
  integer, parameter :: nGC_22 = 20
  integer, parameter :: nGC_23 = 21
  integer, parameter :: nGC_20 = 22
  integer, parameter :: nGC_21 = 23
  integer, parameter :: nGC_26 = 24
  integer, parameter :: nGC_27 = 25
  integer, parameter :: nGC_24 = 26
  integer, parameter :: nGC_25 = 27
  integer, parameter :: nGC_981 = 28
  integer, parameter :: nGC_982 = 29
  integer, parameter :: nGC_984 = 30
  integer, parameter :: nGC_985 = 31
  integer, parameter :: nGC_986 = 32
  integer, parameter :: nGC_987 = 33
  integer, parameter :: nGC_988 = 34
  integer, parameter :: nGC_989 = 35
  integer, parameter :: nGC_GG = 36
  integer, parameter :: nGC_592 = 37
  integer, parameter :: nGC_14 = 38
  integer, parameter :: nGC_591 = 39
  integer, parameter :: nGC_627 = 40
  integer, parameter :: nGC_626 = 41
  integer, parameter :: nGC_620 = 42
  integer, parameter :: nGC_83 = 43
  integer, parameter :: nGC_126 = 44
  integer, parameter :: nGC_127 = 45
  integer, parameter :: nGC_124 = 46
  integer, parameter :: nGC_125 = 47
  integer, parameter :: nGC_122 = 48
  integer, parameter :: nGC_123 = 49
  integer, parameter :: nGC_120 = 50
  integer, parameter :: nGC_121 = 51
  integer, parameter :: nGC_128 = 52
  integer, parameter :: nGC_129 = 53
  integer, parameter :: nGC_MMW_GF = 54
  integer, parameter :: nGC_85 = 55
  integer, parameter :: nGC_67 = 56
  integer, parameter :: nGC_975 = 57
  integer, parameter :: nGC_679 = 58
  integer, parameter :: nGC_1256 = 59
  integer, parameter :: nGC_1283 = 60
  integer, parameter :: nGC_I = 61
  integer, parameter :: nGC_MD = 62
  integer, parameter :: nGC_3 = 63
  integer, parameter :: nGC_2 = 64
  integer, parameter :: nGC_1 = 65
  integer, parameter :: nGC_7 = 66
  integer, parameter :: nGC_5 = 67
  integer, parameter :: nGC_4 = 68
  integer, parameter :: nGC_584 = 69
  integer, parameter :: nGC_585 = 70
  integer, parameter :: nGC_9 = 71
  integer, parameter :: nGC_8 = 72
  integer, parameter :: nGC_582 = 73
  integer, parameter :: nGC_583 = 74
  integer, parameter :: nGC_566 = 75
  integer, parameter :: nGC_567 = 76
  integer, parameter :: nGC_564 = 77
  integer, parameter :: nGC_565 = 78
  integer, parameter :: nGC_562 = 79
  integer, parameter :: nGC_563 = 80
  integer, parameter :: nGC_609 = 81
  integer, parameter :: nGC_16 = 82
  integer, parameter :: nGC_607 = 83
  integer, parameter :: nGC_606 = 84
  integer, parameter :: nGC_605 = 85
  integer, parameter :: nGC_604 = 86
  integer, parameter :: nGC_603 = 87
  integer, parameter :: nGC_602 = 88
  integer, parameter :: nGC_568 = 89
  integer, parameter :: nGC_569 = 90
  integer, parameter :: nGC_53 = 91
  integer, parameter :: nGC_52 = 92
  integer, parameter :: nGC_51 = 93
  integer, parameter :: nGC_50 = 94
  integer, parameter :: nGC_57 = 95
  integer, parameter :: nGC_56 = 96
  integer, parameter :: nGC_55 = 97
  integer, parameter :: nGC_54 = 98
  integer, parameter :: nGC_13 = 99
  integer, parameter :: nGC_59 = 100
  integer, parameter :: nGC_58 = 101
  integer, parameter :: nGC_12 = 102
  integer, parameter :: nGC_483 = 103
  integer, parameter :: nGC_10 = 104
  integer, parameter :: nGC_698 = 105
  integer, parameter :: nGC_699 = 106
  integer, parameter :: nGC_517 = 107
  integer, parameter :: nGC_516 = 108
  integer, parameter :: nGC_519 = 109
  integer, parameter :: nGC_518 = 110
  integer, parameter :: nGC_694 = 111
  integer, parameter :: nGC_695 = 112
  integer, parameter :: nGC_696 = 113
  integer, parameter :: nGC_697 = 114
  integer, parameter :: nGC_526 = 115
  integer, parameter :: nGC_488 = 116
  integer, parameter :: nGC_524 = 117
  integer, parameter :: nGC_1131 = 118
  integer, parameter :: nGC_1134 = 119
  integer, parameter :: nGC_1009 = 120
  integer, parameter :: nGC_1008 = 121
  integer, parameter :: nGC_1410 = 122
  integer, parameter :: nGC_485 = 123
  integer, parameter :: nGC_529 = 124
  integer, parameter :: nGC_1310 = 125
  integer, parameter :: nGC_468 = 126
  integer, parameter :: nGC_462 = 127
  integer, parameter :: nGC_461 = 128
  integer, parameter :: nGC_466 = 129
  integer, parameter :: nGC_465 = 130
  integer, parameter :: nGC_17 = 131
  integer, parameter :: nGC_484 = 132
  integer, parameter :: nGC_15 = 133
  integer, parameter :: nGC_486 = 134
  integer, parameter :: nGC_481 = 135
  integer, parameter :: nGC_480 = 136
  integer, parameter :: nGC_11 = 137
  integer, parameter :: nGC_482 = 138
  integer, parameter :: nGC_522 = 139
  integer, parameter :: nGC_523 = 140
  integer, parameter :: nGC_489 = 141
  integer, parameter :: nGC_527 = 142
  integer, parameter :: nGC_19 = 143
  integer, parameter :: nGC_18 = 144
  integer, parameter :: nGC_MW_GF = 145
  integer, parameter :: nGC_997 = 146
  integer, parameter :: nGC_996 = 147
  integer, parameter :: nGC_995 = 148
  integer, parameter :: nGC_1121 = 149
  integer, parameter :: nGC_993 = 150
  integer, parameter :: nGC_992 = 151
  integer, parameter :: nGC_991 = 152
  integer, parameter :: nGC_990 = 153
  integer, parameter :: nGC_1110 = 154
  integer, parameter :: nGC_636 = 155
  integer, parameter :: nGC_598 = 156
  integer, parameter :: nGC_635 = 157
  integer, parameter :: nGC_1178 = 158
  integer, parameter :: nGC_739 = 159
  integer, parameter :: nGC_1215 = 160
  integer, parameter :: nGC_1177 = 161
  integer, parameter :: nGC_1210 = 162
  integer, parameter :: nGC_1129 = 163
  integer, parameter :: nGC_6 = 164
  integer, parameter :: nGC_1213 = 165
  integer, parameter :: nGC_135 = 166
  integer, parameter :: nGC_134 = 167
  integer, parameter :: nGC_137 = 168
  integer, parameter :: nGC_136 = 169
  integer, parameter :: nGC_131 = 170
  integer, parameter :: nGC_130 = 171
  integer, parameter :: nGC_133 = 172
  integer, parameter :: nGC_132 = 173
  integer, parameter :: nGC_MI = 174
  integer, parameter :: nGC_648 = 175
  integer, parameter :: nGC_139 = 176
  integer, parameter :: nGC_138 = 177
  integer, parameter :: nGC_587 = 178
  integer, parameter :: nGC_637 = 179
  integer, parameter :: nGC_580 = 180
  integer, parameter :: nGC_581 = 181
  integer, parameter :: nGC_961 = 182
  integer, parameter :: nGC_MH = 183
  integer, parameter :: nGC_738 = 184
  integer, parameter :: nGC_861 = 185
  integer, parameter :: nGC_944 = 186
  integer, parameter :: nGC_1326 = 187
  integer, parameter :: nGC_478 = 188
  integer, parameter :: nGC_1311 = 189
  integer, parameter :: nGC_1292 = 190
  integer, parameter :: nGC_1293 = 191
  integer, parameter :: nGC_222 = 192
  integer, parameter :: nGC_224 = 193
  integer, parameter :: nGC_1056 = 194
  integer, parameter :: nGC_228 = 195
  integer, parameter :: nGC_HHHH = 196
  integer, parameter :: nGC_1053 = 197
  integer, parameter :: nGC_1051 = 198
  integer, parameter :: nGC_474 = 199
  integer, parameter :: nGC_MM = 200
  integer, parameter :: nGC_1190 = 201
  integer, parameter :: nGC_476 = 202
  integer, parameter :: nGC_477 = 203
  integer, parameter :: nGC_959 = 204
  integer, parameter :: nGC_958 = 205
  integer, parameter :: nGC_472 = 206
  integer, parameter :: nGC_473 = 207
  integer, parameter :: nGC_457 = 208
  integer, parameter :: nGC_1227 = 209
  integer, parameter :: nGC_455 = 210
  integer, parameter :: nGC_458 = 211
  integer, parameter :: nGC_459 = 212
  integer, parameter :: nGC_596 = 213
  integer, parameter :: nGC_595 = 214
  integer, parameter :: nGC_594 = 215
  integer, parameter :: nGC_296 = 216
  integer, parameter :: nGC_292 = 217
  integer, parameter :: nGC_298 = 218
  integer, parameter :: nGC_638 = 219
  integer, parameter :: nGC_575 = 220
  integer, parameter :: nGC_574 = 221
  integer, parameter :: nGC_577 = 222
  integer, parameter :: nGC_576 = 223
  integer, parameter :: nGC_570 = 224
  integer, parameter :: nGC_579 = 225
  integer, parameter :: nGC_578 = 226
  integer, parameter :: nGC_244 = 227
  integer, parameter :: nGC_48 = 228
  integer, parameter :: nGC_49 = 229
  integer, parameter :: nGC_44 = 230
  integer, parameter :: nGC_45 = 231
  integer, parameter :: nGC_46 = 232
  integer, parameter :: nGC_47 = 233
  integer, parameter :: nGC_40 = 234
  integer, parameter :: nGC_41 = 235
  integer, parameter :: nGC_42 = 236
  integer, parameter :: nGC_43 = 237
  integer, parameter :: nGC_686 = 238
  integer, parameter :: nGC_685 = 239
  integer, parameter :: nGC_682 = 240
  integer, parameter :: nGC_681 = 241
  integer, parameter :: nGC_680 = 242
  integer, parameter :: nGC_608 = 243
  integer, parameter :: nGC_1251 = 244
  integer, parameter :: nGC_324 = 245
  integer, parameter :: nGC_1376 = 246
  integer, parameter :: nGC_326 = 247
  integer, parameter :: nGC_1346 = 248
  integer, parameter :: nGC_174 = 249
  integer, parameter :: nGC_704 = 250
  integer, parameter :: nGC_705 = 251
  integer, parameter :: nGC_702 = 252
  integer, parameter :: nGC_703 = 253
  integer, parameter :: nGC_700 = 254
  integer, parameter :: nGC_701 = 255
  integer, parameter :: nGC_1085 = 256
  integer, parameter :: nGC_1084 = 257
  integer, parameter :: nGC_1087 = 258
  integer, parameter :: nGC_1086 = 259
  integer, parameter :: nGC_1081 = 260
  integer, parameter :: nGC_1080 = 261
  integer, parameter :: nGC_322 = 262
  integer, parameter :: nGC_492 = 263
  integer, parameter :: nGC_248 = 264
  integer, parameter :: nGC_994 = 265
  integer, parameter :: nGC_469 = 266
  integer, parameter :: nGC_771 = 267
  integer, parameter :: nGC_647 = 268
  integer, parameter :: nGC_778 = 269
  integer, parameter :: nGC_646 = 270
  integer, parameter :: nGC_1088 = 271
  integer, parameter :: nGC_1013 = 272
  integer, parameter :: nGC_1010 = 273
  integer, parameter :: nGC_1016 = 274
  integer, parameter :: nGC_1014 = 275
  integer, parameter :: nGC_1015 = 276
  integer, parameter :: nGC_1390 = 277
  integer, parameter :: nGC_1397 = 278
  integer, parameter :: nGC_1396 = 279
  integer, parameter :: nGC_1399 = 280
  integer, parameter :: nGC_ME = 281
  integer, parameter :: nGC_525 = 282
  integer, parameter :: nGC_561 = 283
  integer, parameter :: nGC_1023 = 284
  integer, parameter :: nGC_GPGMGPGM = 285
  integer, parameter :: nGC_910 = 286
  integer, parameter :: nGC_463 = 287
  integer, parameter :: nGC_1265 = 288
  integer, parameter :: nGC_1264 = 289
  integer, parameter :: nGC_1267 = 290
  integer, parameter :: nGC_1262 = 291
  integer, parameter :: nGC_1269 = 292
  integer, parameter :: nGC_1393 = 293
  integer, parameter :: nGC_310 = 294
  integer, parameter :: nGC_1392 = 295
  integer, parameter :: nGC_1063 = 296
  integer, parameter :: nGC_1062 = 297
  integer, parameter :: nGC_1061 = 298
  integer, parameter :: nGC_1309 = 299
  integer, parameter :: nGC_318 = 300
  integer, parameter :: nGC_1302 = 301
  integer, parameter :: nGC_1069 = 302
  integer, parameter :: nGC_1301 = 303
  integer, parameter :: nGC_250 = 304
  integer, parameter :: nGC_252 = 305
  integer, parameter :: nGC_528 = 306
  integer, parameter :: nGC_531 = 307
  integer, parameter :: nGC_530 = 308
  integer, parameter :: nGC_150 = 309
  integer, parameter :: nGC_693 = 310
  integer, parameter :: nGC_460 = 311
  integer, parameter :: nGC_1237 = 312
  integer, parameter :: nGC_593 = 313
  integer, parameter :: nGC_99 = 314
  integer, parameter :: nGC_98 = 315
  integer, parameter :: nGC_97 = 316
  integer, parameter :: nGC_96 = 317
  integer, parameter :: nGC_95 = 318
  integer, parameter :: nGC_94 = 319
  integer, parameter :: nGC_93 = 320
  integer, parameter :: nGC_92 = 321
  integer, parameter :: nGC_91 = 322
  integer, parameter :: nGC_90 = 323
  integer, parameter :: nGC_625 = 324
  integer, parameter :: nGC_624 = 325
  integer, parameter :: nGC_621 = 326
  integer, parameter :: nGC_467 = 327
  integer, parameter :: nGC_623 = 328
  integer, parameter :: nGC_622 = 329
  integer, parameter :: nGC_628 = 330
  integer, parameter :: nGC_745 = 331
  integer, parameter :: nGC_75 = 332
  integer, parameter :: nGC_74 = 333
  integer, parameter :: nGC_77 = 334
  integer, parameter :: nGC_76 = 335
  integer, parameter :: nGC_71 = 336
  integer, parameter :: nGC_70 = 337
  integer, parameter :: nGC_73 = 338
  integer, parameter :: nGC_72 = 339
  integer, parameter :: nGC_79 = 340
  integer, parameter :: nGC_78 = 341
  integer, parameter :: nGC_HHGG = 342
  integer, parameter :: nGC_100 = 343
  integer, parameter :: nGC_101 = 344
  integer, parameter :: nGC_102 = 345
  integer, parameter :: nGC_103 = 346
  integer, parameter :: nGC_104 = 347
  integer, parameter :: nGC_105 = 348
  integer, parameter :: nGC_106 = 349
  integer, parameter :: nGC_107 = 350
  integer, parameter :: nGC_108 = 351
  integer, parameter :: nGC_109 = 352
  integer, parameter :: nGC_GGH = 353
  integer, parameter :: nGC_1083 = 354
  integer, parameter :: nGC_1204 = 355
  integer, parameter :: nGC_1119 = 356
  integer, parameter :: nGC_1112 = 357
  integer, parameter :: nGC_464 = 358
  integer, parameter :: nGC_1279 = 359
  integer, parameter :: nGC_1082 = 360
  integer, parameter :: nGC_953 = 361
  integer, parameter :: nGC_957 = 362
  integer, parameter :: nGC_722 = 363
  integer, parameter :: nGC_954 = 364
  integer, parameter :: nGC_1342 = 365
  integer, parameter :: nGC_1344 = 366
  integer, parameter :: nGC_240 = 367
  integer, parameter :: nGC_214 = 368
  integer, parameter :: nGC_1022 = 369
  integer, parameter :: nGC_1021 = 370
  integer, parameter :: nGC_210 = 371
  integer, parameter :: nGC_1026 = 372
  integer, parameter :: nGC_1025 = 373
  integer, parameter :: nGC_1024 = 374
  integer, parameter :: nGC_612 = 375
  integer, parameter :: nGC_HHH = 376
  integer, parameter :: nGC_552 = 377
  integer, parameter :: nGC_445 = 378
  integer, parameter :: nGC_447 = 379
  integer, parameter :: nGC_449 = 380
  integer, parameter :: nGC_446 = 381
  integer, parameter :: nGC_1232 = 382
  integer, parameter :: nGC_280 = 383
  integer, parameter :: nGC_286 = 384
  integer, parameter :: nGC_448 = 385
  integer, parameter :: nGC_487 = 386
  integer, parameter :: nGC_288 = 387
  integer, parameter :: nGC_1260 = 388
  integer, parameter :: nGC_586 = 389
  integer, parameter :: nGC_544 = 390
  integer, parameter :: nGC_546 = 391
  integer, parameter :: nGC_547 = 392
  integer, parameter :: nGC_548 = 393
  integer, parameter :: nGC_665 = 394
  integer, parameter :: nGC_664 = 395
  integer, parameter :: nGC_550 = 396
  integer, parameter :: nGC_666 = 397
  integer, parameter :: nGC_39 = 398
  integer, parameter :: nGC_38 = 399
  integer, parameter :: nGC_31 = 400
  integer, parameter :: nGC_33 = 401
  integer, parameter :: nGC_35 = 402
  integer, parameter :: nGC_34 = 403
  integer, parameter :: nGC_37 = 404
  integer, parameter :: nGC_144 = 405
  integer, parameter :: nGC_145 = 406
  integer, parameter :: nGC_146 = 407
  integer, parameter :: nGC_147 = 408
  integer, parameter :: nGC_140 = 409
  integer, parameter :: nGC_141 = 410
  integer, parameter :: nGC_142 = 411
  integer, parameter :: nGC_282 = 412
  integer, parameter :: nGC_148 = 413
  integer, parameter :: nGC_149 = 414
  integer, parameter :: nGC_1151 = 415
  integer, parameter :: nGC_1157 = 416
  integer, parameter :: nGC_710 = 417
  integer, parameter :: nGC_712 = 418
  integer, parameter :: nGC_1159 = 419
  integer, parameter :: nGC_284 = 420
  integer, parameter :: nGC_719 = 421
  integer, parameter :: nGC_312 = 422
  integer, parameter :: nGC_942 = 423
  integer, parameter :: nGC_456 = 424
  integer, parameter :: nGC_943 = 425
  integer, parameter :: nGC_314 = 426
  integer, parameter :: nGC_1308 = 427
  integer, parameter :: nGC_498 = 428
  integer, parameter :: nGC_782 = 429
  integer, parameter :: nGC_1384 = 430
  integer, parameter :: nGC_1385 = 431
  integer, parameter :: nGC_1382 = 432
  integer, parameter :: nGC_MC = 433
  integer, parameter :: nGC_MB = 434
  integer, parameter :: nGC_1388 = 435
  integer, parameter :: nGC_1389 = 436
  integer, parameter :: nGC_MZ = 437
  integer, parameter :: nGC_MS = 438
  integer, parameter :: nGC_444 = 439
  integer, parameter :: nGC_MW = 440
  integer, parameter :: nGC_MU = 441
  integer, parameter :: nGC_MT = 442
  integer, parameter :: nGC_479 = 443
  integer, parameter :: nGC_655 = 444
  integer, parameter :: nGC_1359 = 445
  integer, parameter :: nGC_639 = 446
  integer, parameter :: nGC_656 = 447
  integer, parameter :: nGC_1291 = 448
  integer, parameter :: nGC_657 = 449
  integer, parameter :: nGC_549 = 450
  integer, parameter :: nGC_799 = 451
  integer, parameter :: nGC_1064 = 452
  integer, parameter :: nGC_962 = 453
  integer, parameter :: nGC_963 = 454
  integer, parameter :: nGC_966 = 455
  integer, parameter :: nGC_967 = 456
  integer, parameter :: nGC_964 = 457
  integer, parameter :: nGC_220 = 458
  integer, parameter :: nGC_969 = 459
  integer, parameter :: nGC_1272 = 460
  integer, parameter :: nGC_848 = 461
  integer, parameter :: nGC_1074 = 462
  integer, parameter :: nGC_1075 = 463
  integer, parameter :: nGC_1379 = 464
  integer, parameter :: nGC_1378 = 465
  integer, parameter :: nGC_1071 = 466
  integer, parameter :: nGC_1181 = 467
  integer, parameter :: nGC_1073 = 468
  integer, parameter :: nGC_1373 = 469
  integer, parameter :: nGC_1372 = 470
  integer, parameter :: nGC_1078 = 471
  integer, parameter :: nGC_1079 = 472
  integer, parameter :: nGC_1374 = 473
  integer, parameter :: nGC_1057 = 474
  integer, parameter :: nGC_1054 = 475
  integer, parameter :: nGC_1003 = 476
  integer, parameter :: nGC_MTA = 477
  integer, parameter :: nGC_1002 = 478
  integer, parameter :: nGC_30 = 479
  integer, parameter :: nGC_475 = 480
  integer, parameter :: nGC_1207 = 481
  integer, parameter :: nGC_1206 = 482
  integer, parameter :: nGC_32 = 483
  integer, parameter :: nGC_1202 = 484
  integer, parameter :: nGC_1412 = 485
  integer, parameter :: nGC_112 = 486
  integer, parameter :: nGC_1209 = 487
  integer, parameter :: nGC_1413 = 488
  integer, parameter :: nGC_88 = 489
  integer, parameter :: nGC_89 = 490
  integer, parameter :: nGC_80 = 491
  integer, parameter :: nGC_81 = 492
  integer, parameter :: nGC_82 = 493
  integer, parameter :: nGC_36 = 494
  integer, parameter :: nGC_84 = 495
  integer, parameter :: nGC_1076 = 496
  integer, parameter :: nGC_86 = 497
  integer, parameter :: nGC_87 = 498
  integer, parameter :: nGC_610 = 499
  integer, parameter :: nGC_611 = 500
  integer, parameter :: nGC_1276 = 501
  integer, parameter :: nGC_613 = 502
  integer, parameter :: nGC_614 = 503
  integer, parameter :: nGC_597 = 504
  integer, parameter :: nGC_751 = 505
  integer, parameter :: nGC_750 = 506
  integer, parameter :: nGC_753 = 507
  integer, parameter :: nGC_752 = 508
  integer, parameter :: nGC_545 = 509
  integer, parameter :: nGC_64 = 510
  integer, parameter :: nGC_65 = 511
  integer, parameter :: nGC_62 = 512
  integer, parameter :: nGC_63 = 513
  integer, parameter :: nGC_60 = 514
  integer, parameter :: nGC_61 = 515
  integer, parameter :: nGC_1077 = 516
  integer, parameter :: nGC_1223 = 517
  integer, parameter :: nGC_68 = 518
  integer, parameter :: nGC_69 = 519
  integer, parameter :: nGC_706 = 520
  integer, parameter :: nGC_143 = 521
  integer, parameter :: nGC_743 = 522
  integer, parameter :: nGC_504 = 523
  integer, parameter :: nGC_505 = 524
  integer, parameter :: nGC_470 = 525
  integer, parameter :: nGC_500 = 526
  integer, parameter :: nGC_501 = 527
  integer, parameter :: nGC_119 = 528
  integer, parameter :: nGC_118 = 529
  integer, parameter :: nGC_117 = 530
  integer, parameter :: nGC_116 = 531
  integer, parameter :: nGC_115 = 532
  integer, parameter :: nGC_114 = 533
  integer, parameter :: nGC_113 = 534
  integer, parameter :: nGC_509 = 535
  integer, parameter :: nGC_111 = 536
  integer, parameter :: nGC_110 = 537
  integer, parameter :: nGC_1104 = 538
  integer, parameter :: nGC_1106 = 539
  integer, parameter :: nGC_1107 = 540
  integer, parameter :: nGC_801 = 541
  integer, parameter :: nGC_803 = 542
  integer, parameter :: nGC_802 = 543
  integer, parameter :: nGC_807 = 544
  integer, parameter :: nGC_809 = 545
  integer, parameter :: nGC_1401 = 546
  integer, parameter :: nGC_1400 = 547
  integer, parameter :: nGC_1403 = 548
  integer, parameter :: nGC_1402 = 549
  integer, parameter :: nGC_1405 = 550
  integer, parameter :: nGC_1404 = 551
  integer, parameter :: nGC_1407 = 552
  integer, parameter :: nGC_1406 = 553
  integer, parameter :: nGC_1408 = 554
  integer, parameter :: nGC_1038 = 555
  integer, parameter :: nGC_1039 = 556
  integer, parameter :: nGC_1030 = 557
  integer, parameter :: nGC_1031 = 558
  integer, parameter :: nGC_1032 = 559
  integer, parameter :: nGC_1033 = 560
  integer, parameter :: nGC_1034 = 561
  integer, parameter :: nGC_1035 = 562
  integer, parameter :: nGC_1036 = 563
  integer, parameter :: nGC_1037 = 564
  integer, parameter :: nGC_715 = 565
  integer, parameter :: nGC_714 = 566
  integer, parameter :: nGC_1028 = 567
  integer, parameter :: nGC_1150 = 568
  integer, parameter :: nGC_939 = 569
  integer, parameter :: nGC_935 = 570
  integer, parameter :: nGC_936 = 571
  integer, parameter :: nGC_931 = 572
  integer, parameter :: nGC_930 = 573
  integer, parameter :: nGC_933 = 574
  integer, parameter :: nGC_1324 = 575
  integer, parameter :: nGC_1249 = 576
  integer, parameter :: nGC_1321 = 577
  integer, parameter :: nGC_1246 = 578
  integer, parameter :: nGC_1245 = 579
  integer, parameter :: nGC_278 = 580
  integer, parameter :: nGC_276 = 581
  integer, parameter :: nGC_274 = 582
  integer, parameter :: nGC_272 = 583
  integer, parameter :: nGC_270 = 584
  integer, parameter :: nGC_718 = 585
  integer, parameter :: nGC_1222 = 586
  integer, parameter :: nGC_1350 = 587
  integer, parameter :: nGC_980 = 588
  integer, parameter :: nGC_983 = 589
  integer, parameter :: nGC_872 = 590
  integer, parameter :: nGC_1140 = 591
  integer, parameter :: nGC_1141 = 592
  integer, parameter :: nGC_1142 = 593
  integer, parameter :: nGC_1143 = 594
  integer, parameter :: nGC_1144 = 595
  integer, parameter :: nGC_1145 = 596
  integer, parameter :: nGC_1146 = 597
  integer, parameter :: nGC_1148 = 598
  integer, parameter :: nGC_1149 = 599
  integer, parameter :: nGC_748 = 600
  integer, parameter :: nGC_749 = 601
  integer, parameter :: nGC_740 = 602
  integer, parameter :: nGC_1162 = 603
  integer, parameter :: nGC_797 = 604
  integer, parameter :: nGC_791 = 605
  integer, parameter :: nGC_790 = 606
  integer, parameter :: nGC_793 = 607
  integer, parameter :: nGC_1258 = 608
  integer, parameter :: nGC_741 = 609
  integer, parameter :: nGC_746 = 610
  integer, parameter :: nGC_744 = 611
  integer, parameter :: nGC_1317 = 612
  integer, parameter :: nGC_308 = 613
  integer, parameter :: nGC_971 = 614
  integer, parameter :: nGC_970 = 615
  integer, parameter :: nGC_973 = 616
  integer, parameter :: nGC_972 = 617
  integer, parameter :: nGC_974 = 618
  integer, parameter :: nGC_977 = 619
  integer, parameter :: nGC_976 = 620
  integer, parameter :: nGC_979 = 621
  integer, parameter :: nGC_978 = 622
  integer, parameter :: nGC_878 = 623
  integer, parameter :: nGC_879 = 624
  integer, parameter :: nGC_1289 = 625
  integer, parameter :: nGC_1288 = 626
  integer, parameter :: nGC_1287 = 627
  integer, parameter :: nGC_871 = 628
  integer, parameter :: nGC_1285 = 629
  integer, parameter :: nGC_874 = 630
  integer, parameter :: nGC_1281 = 631
  integer, parameter :: nGC_1041 = 632
  integer, parameter :: nGC_1040 = 633
  integer, parameter :: nGC_1043 = 634
  integer, parameter :: nGC_1284 = 635
  integer, parameter :: nGC_236 = 636
  integer, parameter :: nGC_1044 = 637
  integer, parameter :: nGC_234 = 638
  integer, parameter :: nGC_1046 = 639
  integer, parameter :: nGC_1049 = 640
  integer, parameter :: nGC_1048 = 641
  integer, parameter :: nGC_238 = 642
  integer, parameter :: nGC_1363 = 643
  integer, parameter :: nGC_1364 = 644
  integer, parameter :: nGC_1365 = 645
  integer, parameter :: nGC_1366 = 646
  integer, parameter :: nGC_1367 = 647
  integer, parameter :: nGC_877 = 648
  integer, parameter :: nGC_232 = 649
  integer, parameter :: nGC_1369 = 650
  integer, parameter :: nGC_230 = 651
  integer, parameter :: nGC_1042 = 652
  integer, parameter :: nGC_1045 = 653
  integer, parameter :: nGC_1230 = 654
  integer, parameter :: nGC_1216 = 655
  integer, parameter :: nGC_1217 = 656
  integer, parameter :: nGC_1047 = 657
  integer, parameter :: nGC_1360 = 658
  integer, parameter :: nGC_1361 = 659
  integer, parameter :: nGC_781 = 660
  integer, parameter :: nGC_1362 = 661
  integer, parameter :: nGC_1138 = 662
  integer, parameter :: nGC_1133 = 663
  integer, parameter :: nGC_1132 = 664
  integer, parameter :: nGC_1135 = 665
  integer, parameter :: nGC_1137 = 666
  integer, parameter :: nGC_1136 = 667
  integer, parameter :: nGC_764 = 668
  integer, parameter :: nGC_765 = 669
  integer, parameter :: nGC_766 = 670
  integer, parameter :: nGC_767 = 671
  integer, parameter :: nGC_760 = 672
  integer, parameter :: nGC_761 = 673
  integer, parameter :: nGC_762 = 674
  integer, parameter :: nGC_763 = 675
  integer, parameter :: nGC_768 = 676
  integer, parameter :: nGC_838 = 677
  integer, parameter :: nGC_839 = 678
  integer, parameter :: nGC_837 = 679
  integer, parameter :: nGC_830 = 680
  integer, parameter :: nGC_831 = 681
  integer, parameter :: nGC_832 = 682
  integer, parameter :: nGC_1005 = 683
  integer, parameter :: nGC_1004 = 684
  integer, parameter :: nGC_1007 = 685
  integer, parameter :: nGC_1006 = 686
  integer, parameter :: nGC_1001 = 687
  integer, parameter :: nGC_1000 = 688
  integer, parameter :: nGC_1418 = 689
  integer, parameter :: nGC_1419 = 690
  integer, parameter :: nGC_1416 = 691
  integer, parameter :: nGC_1417 = 692
  integer, parameter :: nGC_1414 = 693
  integer, parameter :: nGC_1415 = 694
  integer, parameter :: nGC_1411 = 695
  integer, parameter :: nGC_908 = 696
  integer, parameter :: nGC_909 = 697
  integer, parameter :: nGC_900 = 698
  integer, parameter :: nGC_906 = 699
  integer, parameter :: nGC_302 = 700
  integer, parameter :: nGC_300 = 701
  integer, parameter :: nGC_1312 = 702
  integer, parameter :: nGC_306 = 703
  integer, parameter :: nGC_304 = 704
  integer, parameter :: nGC_1250 = 705
  integer, parameter :: nGC_1252 = 706
  integer, parameter :: nGC_1253 = 707
  integer, parameter :: nGC_1254 = 708
  integer, parameter :: nGC_1255 = 709
  integer, parameter :: nGC_1257 = 710
  integer, parameter :: nGC_1155 = 711
  integer, parameter :: nGC_268 = 712
  integer, parameter :: nGC_264 = 713
  integer, parameter :: nGC_266 = 714
  integer, parameter :: nGC_260 = 715
  integer, parameter :: nGC_262 = 716
  integer, parameter :: nGC_1127 = 717
  integer, parameter :: nGC_1089 = 718
  integer, parameter :: nGC_999 = 719
  integer, parameter :: nGC_998 = 720
  integer, parameter :: nGC_1286 = 721
  integer, parameter :: nGC_1179 = 722
  integer, parameter :: nGC_737 = 723
  integer, parameter :: nGC_1174 = 724
  integer, parameter :: nGC_735 = 725
  integer, parameter :: nGC_1176 = 726
  integer, parameter :: nGC_1171 = 727
  integer, parameter :: nGC_1170 = 728
  integer, parameter :: nGC_731 = 729
  integer, parameter :: nGC_1172 = 730
  integer, parameter :: nGC_1211 = 731
  integer, parameter :: nGC_1175 = 732
  integer, parameter :: nGC_736 = 733
  integer, parameter :: nGC_1282 = 734
  integer, parameter :: nGC_867 = 735
  integer, parameter :: nGC_866 = 736
  integer, parameter :: nGC_865 = 737
  integer, parameter :: nGC_734 = 738
  integer, parameter :: nGC_863 = 739
  integer, parameter :: nGC_949 = 740
  integer, parameter :: nGC_860 = 741
  integer, parameter :: nGC_815 = 742
  integer, parameter :: nGC_733 = 743
  integer, parameter :: nGC_946 = 744
  integer, parameter :: nGC_947 = 745
  integer, parameter :: nGC_940 = 746
  integer, parameter :: nGC_941 = 747
  integer, parameter :: nGC_869 = 748
  integer, parameter :: nGC_868 = 749
  integer, parameter :: nGC_1354 = 750
  integer, parameter :: nGC_1357 = 751
  integer, parameter :: nGC_1327 = 752
  integer, parameter :: nGC_1298 = 753
  integer, parameter :: nGC_1299 = 754
  integer, parameter :: nGC_1353 = 755
  integer, parameter :: nGC_1352 = 756
  integer, parameter :: nGC_1294 = 757
  integer, parameter :: nGC_1295 = 758
  integer, parameter :: nGC_1296 = 759
  integer, parameter :: nGC_1297 = 760
  integer, parameter :: nGC_1290 = 761
  integer, parameter :: nGC_1358 = 762
  integer, parameter :: nGC_1197 = 763
  integer, parameter :: nGC_1196 = 764
  integer, parameter :: nGC_1195 = 765
  integer, parameter :: nGC_1194 = 766
  integer, parameter :: nGC_1193 = 767
  integer, parameter :: nGC_1192 = 768
  integer, parameter :: nGC_1191 = 769
  integer, parameter :: nGC_226 = 770
  integer, parameter :: nGC_1055 = 771
  integer, parameter :: nGC_1052 = 772
  integer, parameter :: nGC_1050 = 773
  integer, parameter :: nGC_1198 = 774
  integer, parameter :: nGC_1247 = 775
  integer, parameter :: nGC_1329 = 776
  integer, parameter :: nGC_847 = 777
  integer, parameter :: nGC_1224 = 778
  integer, parameter :: nGC_1226 = 779
  integer, parameter :: nGC_1229 = 780
  integer, parameter :: nGC_1228 = 781
  integer, parameter :: nGC_891 = 782
  integer, parameter :: nGC_896 = 783
  integer, parameter :: nGC_897 = 784
  integer, parameter :: nGC_894 = 785
  integer, parameter :: nGC_895 = 786
  integer, parameter :: nGC_294 = 787
  integer, parameter :: nGC_290 = 788
  integer, parameter :: nGC_951 = 789
  integer, parameter :: nGC_819 = 790
  integer, parameter :: nGC_1124 = 791
  integer, parameter :: nGC_1125 = 792
  integer, parameter :: nGC_1123 = 793
  integer, parameter :: nGC_320 = 794
  integer, parameter :: nGC_1368 = 795
  integer, parameter :: nGC_773 = 796
  integer, parameter :: nGC_772 = 797
  integer, parameter :: nGC_770 = 798
  integer, parameter :: nGC_777 = 799
  integer, parameter :: nGC_776 = 800
  integer, parameter :: nGC_775 = 801
  integer, parameter :: nGC_774 = 802
  integer, parameter :: nGC_829 = 803
  integer, parameter :: nGC_828 = 804
  integer, parameter :: nGC_823 = 805
  integer, parameter :: nGC_822 = 806
  integer, parameter :: nGC_821 = 807
  integer, parameter :: nGC_827 = 808
  integer, parameter :: nGC_826 = 809
  integer, parameter :: nGC_825 = 810
  integer, parameter :: nGC_824 = 811
  integer, parameter :: nGC_1012 = 812
  integer, parameter :: nGC_1398 = 813
  integer, parameter :: nGC_1011 = 814
  integer, parameter :: nGC_1017 = 815
  integer, parameter :: nGC_1018 = 816
  integer, parameter :: nGC_1019 = 817
  integer, parameter :: nGC_1395 = 818
  integer, parameter :: nGC_1394 = 819
  integer, parameter :: nGC_915 = 820
  integer, parameter :: nGC_911 = 821
  integer, parameter :: nGC_1027 = 822
  integer, parameter :: nGC_1263 = 823
  integer, parameter :: nGC_859 = 824
  integer, parameter :: nGC_856 = 825
  integer, parameter :: nGC_857 = 826
  integer, parameter :: nGC_854 = 827
  integer, parameter :: nGC_855 = 828
  integer, parameter :: nGC_853 = 829
  integer, parameter :: nGC_850 = 830
  integer, parameter :: nGC_851 = 831
  integer, parameter :: nGC_1067 = 832
  integer, parameter :: nGC_1066 = 833
  integer, parameter :: nGC_1065 = 834
  integer, parameter :: nGC_1060 = 835
  integer, parameter :: nGC_1306 = 836
  integer, parameter :: nGC_1307 = 837
  integer, parameter :: nGC_1304 = 838
  integer, parameter :: nGC_1305 = 839
  integer, parameter :: nGC_1303 = 840
  integer, parameter :: nGC_1300 = 841
  integer, parameter :: nGC_258 = 842
  integer, parameter :: nGC_254 = 843
  integer, parameter :: nGC_256 = 844
  integer, parameter :: nGC_1168 = 845
  integer, parameter :: nGC_1169 = 846
  integer, parameter :: nGC_742 = 847
  integer, parameter :: nGC_1163 = 848
  integer, parameter :: nGC_1160 = 849
  integer, parameter :: nGC_1161 = 850
  integer, parameter :: nGC_1166 = 851
  integer, parameter :: nGC_747 = 852
  integer, parameter :: nGC_1164 = 853
  integer, parameter :: nGC_1165 = 854
  integer, parameter :: nGC_1118 = 855
  integer, parameter :: nGC_1117 = 856
  integer, parameter :: nGC_1116 = 857
  integer, parameter :: nGC_1115 = 858
  integer, parameter :: nGC_1114 = 859
  integer, parameter :: nGC_1111 = 860
  integer, parameter :: nGC_812 = 861
  integer, parameter :: nGC_813 = 862
  integer, parameter :: nGC_810 = 863
  integer, parameter :: nGC_811 = 864
  integer, parameter :: nGC_816 = 865
  integer, parameter :: nGC_817 = 866
  integer, parameter :: nGC_814 = 867
  integer, parameter :: nGC_721 = 868
  integer, parameter :: nGC_952 = 869
  integer, parameter :: nGC_818 = 870
  integer, parameter :: nGC_950 = 871
  integer, parameter :: nGC_956 = 872
  integer, parameter :: nGC_955 = 873
  integer, parameter :: nGC_1020 = 874
  integer, parameter :: nGC_1343 = 875
  integer, parameter :: nGC_1340 = 876
  integer, parameter :: nGC_1341 = 877
  integer, parameter :: nGC_1347 = 878
  integer, parameter :: nGC_1345 = 879
  integer, parameter :: nGC_724 = 880
  integer, parameter :: nGC_1348 = 881
  integer, parameter :: nGC_1349 = 882
  integer, parameter :: nGC_725 = 883
  integer, parameter :: nGC_1184 = 884
  integer, parameter :: nGC_1185 = 885
  integer, parameter :: nGC_1029 = 886
  integer, parameter :: nGC_1180 = 887
  integer, parameter :: nGC_726 = 888
  integer, parameter :: nGC_1182 = 889
  integer, parameter :: nGC_1183 = 890
  integer, parameter :: nGC_727 = 891
  integer, parameter :: nGC_1188 = 892
  integer, parameter :: nGC_728 = 893
  integer, parameter :: nGC_729 = 894
  integer, parameter :: nGC_889 = 895
  integer, parameter :: nGC_888 = 896
  integer, parameter :: nGC_928 = 897
  integer, parameter :: nGC_929 = 898
  integer, parameter :: nGC_926 = 899
  integer, parameter :: nGC_927 = 900
  integer, parameter :: nGC_924 = 901
  integer, parameter :: nGC_925 = 902
  integer, parameter :: nGC_922 = 903
  integer, parameter :: nGC_923 = 904
  integer, parameter :: nGC_920 = 905
  integer, parameter :: nGC_921 = 906
  integer, parameter :: nGC_1337 = 907
  integer, parameter :: nGC_1336 = 908
  integer, parameter :: nGC_1335 = 909
  integer, parameter :: nGC_1334 = 910
  integer, parameter :: nGC_1333 = 911
  integer, parameter :: nGC_1238 = 912
  integer, parameter :: nGC_1331 = 913
  integer, parameter :: nGC_1239 = 914
  integer, parameter :: nGC_1236 = 915
  integer, parameter :: nGC_880 = 916
  integer, parameter :: nGC_1234 = 917
  integer, parameter :: nGC_1330 = 918
  integer, parameter :: nGC_885 = 919
  integer, parameter :: nGC_884 = 920
  integer, parameter :: nGC_1339 = 921
  integer, parameter :: nGC_1231 = 922
  integer, parameter :: nGC_881 = 923
  integer, parameter :: nGC_883 = 924
  integer, parameter :: nGC_1235 = 925
  integer, parameter :: nGC_732 = 926
  integer, parameter :: nGC_1233 = 927
  integer, parameter :: nGC_864 = 928
  integer, parameter :: nGC_887 = 929
  integer, parameter :: nGC_948 = 930
  integer, parameter :: nGC_1338 = 931
  integer, parameter :: nGC_862 = 932
  integer, parameter :: nGC_1268 = 933
  integer, parameter :: nGC_945 = 934
  integer, parameter :: nGC_1153 = 935
  integer, parameter :: nGC_1152 = 936
  integer, parameter :: nGC_1098 = 937
  integer, parameter :: nGC_1099 = 938
  integer, parameter :: nGC_711 = 939
  integer, parameter :: nGC_1156 = 940
  integer, parameter :: nGC_713 = 941
  integer, parameter :: nGC_1154 = 942
  integer, parameter :: nGC_1090 = 943
  integer, parameter :: nGC_1158 = 944
  integer, parameter :: nGC_1097 = 945
  integer, parameter :: nGC_1332 = 946
  integer, parameter :: nGC_1427 = 947
  integer, parameter :: nGC_1426 = 948
  integer, parameter :: nGC_316 = 949
  integer, parameter :: nGC_1356 = 950
  integer, parameter :: nGC_788 = 951
  integer, parameter :: nGC_789 = 952
  integer, parameter :: nGC_786 = 953
  integer, parameter :: nGC_1351 = 954
  integer, parameter :: nGC_784 = 955
  integer, parameter :: nGC_785 = 956
  integer, parameter :: nGC_783 = 957
  integer, parameter :: nGC_780 = 958
  integer, parameter :: nGC_1422 = 959
  integer, parameter :: nGC_1386 = 960
  integer, parameter :: nGC_1387 = 961
  integer, parameter :: nGC_1173 = 962
  integer, parameter :: nGC_1383 = 963
  integer, parameter :: nGC_1380 = 964
  integer, parameter :: nGC_1381 = 965
  integer, parameter :: nGC_1420 = 966
  integer, parameter :: nGC_720 = 967
  integer, parameter :: nGC_858 = 968
  integer, parameter :: nGC_960 = 969
  integer, parameter :: nGC_965 = 970
  integer, parameter :: nGC_968 = 971
  integer, parameter :: nGC_1273 = 972
  integer, parameter :: nGC_1270 = 973
  integer, parameter :: nGC_1271 = 974
  integer, parameter :: nGC_849 = 975
  integer, parameter :: nGC_1277 = 976
  integer, parameter :: nGC_1274 = 977
  integer, parameter :: nGC_1275 = 978
  integer, parameter :: nGC_845 = 979
  integer, parameter :: nGC_844 = 980
  integer, parameter :: nGC_1278 = 981
  integer, parameter :: nGC_846 = 982
  integer, parameter :: nGC_841 = 983
  integer, parameter :: nGC_840 = 984
  integer, parameter :: nGC_843 = 985
  integer, parameter :: nGC_842 = 986
  integer, parameter :: nGC_246 = 987
  integer, parameter :: nGC_1058 = 988
  integer, parameter :: nGC_1371 = 989
  integer, parameter :: nGC_1059 = 990
  integer, parameter :: nGC_1377 = 991
  integer, parameter :: nGC_1375 = 992
  integer, parameter :: nGC_1199 = 993
  integer, parameter :: nGC_716 = 994
  integer, parameter :: nGC_1205 = 995
  integer, parameter :: nGC_1203 = 996
  integer, parameter :: nGC_1201 = 997
  integer, parameter :: nGC_1200 = 998
  integer, parameter :: nGC_1208 = 999
  integer, parameter :: nGC_730 = 1000
  integer, parameter :: nGC_759 = 1001
  integer, parameter :: nGC_758 = 1002
  integer, parameter :: nGC_755 = 1003
  integer, parameter :: nGC_754 = 1004
  integer, parameter :: nGC_757 = 1005
  integer, parameter :: nGC_756 = 1006
  integer, parameter :: nGC_882 = 1007
  integer, parameter :: nGC_914 = 1008
  integer, parameter :: nGC_1108 = 1009
  integer, parameter :: nGC_1109 = 1010
  integer, parameter :: nGC_1105 = 1011
  integer, parameter :: nGC_1100 = 1012
  integer, parameter :: nGC_1101 = 1013
  integer, parameter :: nGC_1102 = 1014
  integer, parameter :: nGC_1103 = 1015
  integer, parameter :: nGC_1221 = 1016
  integer, parameter :: nGC_1220 = 1017
  integer, parameter :: nGC_1186 = 1018
  integer, parameter :: nGC_899 = 1019
  integer, parameter :: nGC_1225 = 1020
  integer, parameter :: nGC_892 = 1021
  integer, parameter :: nGC_893 = 1022
  integer, parameter :: nGC_890 = 1023
  integer, parameter :: nGC_1189 = 1024
  integer, parameter :: nGC_800 = 1025
  integer, parameter :: nGC_805 = 1026
  integer, parameter :: nGC_804 = 1027
  integer, parameter :: nGC_806 = 1028
  integer, parameter :: nGC_808 = 1029
  integer, parameter :: nGC_1139 = 1030
  integer, parameter :: nGC_1409 = 1031
  integer, parameter :: nGC_1130 = 1032
  integer, parameter :: nGC_886 = 1033
  integer, parameter :: nGC_1430 = 1034
  integer, parameter :: nGC_769 = 1035
  integer, parameter :: nGC_1126 = 1036
  integer, parameter :: nGC_707 = 1037
  integer, parameter :: nGC_1122 = 1038
  integer, parameter :: nGC_1120 = 1039
  integer, parameter :: nGC_834 = 1040
  integer, parameter :: nGC_835 = 1041
  integer, parameter :: nGC_836 = 1042
  integer, parameter :: nGC_708 = 1043
  integer, parameter :: nGC_833 = 1044
  integer, parameter :: nGC_938 = 1045
  integer, parameter :: nGC_934 = 1046
  integer, parameter :: nGC_937 = 1047
  integer, parameter :: nGC_932 = 1048
  integer, parameter :: nGC_1325 = 1049
  integer, parameter :: nGC_1248 = 1050
  integer, parameter :: nGC_1320 = 1051
  integer, parameter :: nGC_1322 = 1052
  integer, parameter :: nGC_1323 = 1053
  integer, parameter :: nGC_1243 = 1054
  integer, parameter :: nGC_1242 = 1055
  integer, parameter :: nGC_1241 = 1056
  integer, parameter :: nGC_1240 = 1057
  integer, parameter :: nGC_1328 = 1058
  integer, parameter :: nGC_1244 = 1059
  integer, parameter :: nGC_779 = 1060
  integer, parameter :: nGC_717 = 1061
  integer, parameter :: nGC_820 = 1062
  integer, parameter :: nGC_898 = 1063
  integer, parameter :: nGC_1187 = 1064
  integer, parameter :: nGC_1391 = 1065
  integer, parameter :: nGC_901 = 1066
  integer, parameter :: nGC_902 = 1067
  integer, parameter :: nGC_903 = 1068
  integer, parameter :: nGC_904 = 1069
  integer, parameter :: nGC_905 = 1070
  integer, parameter :: nGC_907 = 1071
  integer, parameter :: nGC_1259 = 1072
  integer, parameter :: nGC_1313 = 1073
  integer, parameter :: nGC_1315 = 1074
  integer, parameter :: nGC_1314 = 1075
  integer, parameter :: nGC_1316 = 1076
  integer, parameter :: nGC_1319 = 1077
  integer, parameter :: nGC_1318 = 1078
  integer, parameter :: nGC_787 = 1079
  integer, parameter :: nGC_917 = 1080
  integer, parameter :: nGC_916 = 1081
  integer, parameter :: nGC_723 = 1082
  integer, parameter :: nGC_913 = 1083
  integer, parameter :: nGC_912 = 1084
  integer, parameter :: nGC_1147 = 1085
  integer, parameter :: nGC_919 = 1086
  integer, parameter :: nGC_918 = 1087
  integer, parameter :: nGC_1266 = 1088
  integer, parameter :: nGC_1261 = 1089
  integer, parameter :: nGC_852 = 1090
  integer, parameter :: nGC_798 = 1091
  integer, parameter :: nGC_795 = 1092
  integer, parameter :: nGC_794 = 1093
  integer, parameter :: nGC_796 = 1094
  integer, parameter :: nGC_792 = 1095
  integer, parameter :: nGC_1128 = 1096
  integer, parameter :: nGC_709 = 1097
  integer, parameter :: nGC_1370 = 1098
  integer, parameter :: nGC_1167 = 1099
  integer, parameter :: nGC_870 = 1100
  integer, parameter :: nGC_873 = 1101
  integer, parameter :: nGC_875 = 1102
  integer, parameter :: nGC_876 = 1103
  integer, parameter :: nGC_1280 = 1104
  integer, parameter :: nGC_1355 = 1105
  integer, parameter :: nGC_1425 = 1106
  integer, parameter :: nGC_1424 = 1107
  integer, parameter :: nGC_1423 = 1108
  integer, parameter :: nGC_1421 = 1109
  integer, parameter :: nGC_1113 = 1110
  integer, parameter :: nGC_1429 = 1111
  integer, parameter :: nGC_1428 = 1112
  integer, parameter :: nGC_1214 = 1113
  integer, parameter :: nGC_1212 = 1114
  integer, parameter :: nGC_1218 = 1115
  integer, parameter :: nGC_1219 = 1116
  contains
  function get_coupling_value_mdl(c_id) result(ret_c)
    integer, intent(in) :: c_id
    complex(dp) :: ret_c
    if (c_id .eq. 0) then
      ret_c = cnul
    else
      ret_c = coupl(c_id)
    end if
  end function get_coupling_value_mdl
end module class_couplings
