!******************************************************************************!
!                                                                              !
!    fill_couplings1.f90                                                       !
!    is part of RECOLA2 (REcursive Computation of One Loop Amplitudes)2        !
!                                                                              !
!    Copyright (C) 2016,2017 Ansgar Denner, Jean-Nicolas Lang and              !
!                            Sandro Uccirati                                   !
!                                                                              !
!    RECOLA2 is licenced under the GNU GPL version 3,                          !
!    see COPYING for details.                                                  !
!                                                                              !
!******************************************************************************!
!                                                           .---.              !
!                                                          /  .  \             !
!                                                         |\_/|   |            !
!                                                         |   |  /|            !
!          .----------------------------------------------------' |            !
!         /  .-.   fill_couplings1.f90                            |            !
!        |  /   \  This code was generated with REPT1L.           |            !
!        | |\_.  | Change this file and you get what you deserve. |            !
!        |\|  | /| Author: J.N. Lang                              |            !
!        | `---' | UFO date: 07/2017                              |            !
!        |       | UFO version: 1.0                               |            !
!        |       | Generation date: 2017-09-13 22:48             /             !
!        |       |----------------------------------------------'              !
!        \       |                                                             !
!         \     /                                                              !
!          `---'                                                               !
!******************************************************************************!
module fill_couplings1
  use constants_mdl
  use class_couplings
  use class_ctparameters
  contains
    subroutine fill_couplings_mdl1()
      coupl(nGC_206) = cima/(2d0*cMW)
      coupl(nGC_471) = cima*ee*(cw - sw)*(cw + sw)/(2d0*cw**2d0*sw)
      coupl(nGC_496) = cima*ee**2d0*vev/(2d0*cw**2d0)
      coupl(nGC_497) = -cima*ee**2d0/(2d0*cw)
      coupl(nGC_494) = -4d0*cima*cw*ee**2d0/sw**2d0
      coupl(nGC_495) = -cima*ee**2d0*vev/cw
      coupl(nGC_MZ_GF) = cMZ
      coupl(nGC_493) = 4d0*cima*cw**2d0*ee**2d0/sw**3d0
      coupl(nGC_490) = cima*ee**2d0*(cw - sw)*(cw + sw)*(cw**2d0 + sw**2d0)/(cw&
                       **3d0*sw**2d0)
      coupl(nGC_491) = -sqrt(2d0)*cima/2d0
      coupl(nGC_556) = 2d0*cima*gs**2d0
      coupl(nGC_599) = -gs
      coupl(nGC_551) = cima*ee**2d0*vev*(cw - sw)*(cw + sw)*(cw**2d0 + sw**2d0 &
                       )/(cw**3d0*sw**2d0)
      coupl(nGC_499) = -cima*ee**2d0/(2d0*cw**2d0)
      coupl(nGC_28) = -cima*ee**2d0/(2d0*sw**2d0) - cima*lam/2d0
      coupl(nGC_29) = -cima*ee**2d0/(2d0*sw**2d0) - cima*lam/2d0 - cima*ee**2d0&
                      /(2d0*cw**2d0)
      coupl(nGC_66) = 2d0*cima*cw*ee/sw
      coupl(nGC_242) = -coupl(nGC_66)/2d0
      coupl(nGC_22) = -cima*lam/2d0
      coupl(nGC_23) = -cima*lam
      coupl(nGC_20) = -cima*gs**2d0
      coupl(nGC_21) = cima*gs**2d0
      coupl(nGC_26) = cima*ee**2d0/(4d0*sw**2d0) - cima*lam/2d0
      coupl(nGC_27) = cima*ee**2d0/(4d0*sw**2d0) - cima*lam/2d0 + cima*ee**2d0 &
                      /(4d0*cw**2d0)
      coupl(nGC_24) = -3d0*cima*lam/2d0
      coupl(nGC_25) = -cima*ee**2d0/(4d0*sw**2d0) - cima*lam - cima*ee**2d0/(  &
                      4d0*cw**2d0)
      coupl(nGC_592) = -sqrt(2d0)*cima/2d0
      coupl(nGC_14) = -cima*ee**2d0/(2d0*cw)
      coupl(nGC_591) = 4d0*cima*ee**2d0
      coupl(nGC_627) = 2d0*cima*cw*ee**2d0/sw**2d0
      coupl(nGC_626) = -4d0*cima*cw*ee**2d0/sw
      coupl(nGC_620) = -2d0*cima*ee**2d0*(cw - sw)*(cw + sw)/(cw*sw)
      coupl(nGC_83) = cima*cw*ee/(2d0*sw) - cima*ee*sw/(6d0*cw)
      coupl(nGC_126) = -sqrt(2d0)*cima*yb/2d0
      coupl(nGC_127) = cima*yc
      coupl(nGC_124) = -cima*yb
      coupl(nGC_125) = -sqrt(2d0)*yb/2d0
      coupl(nGC_122) = -cima*cw**2d0*ee**2d0*vev/(2d0*sw**2d0) - cima*ee**2d0* &
                       vev - cima*ee**2d0*sw**2d0*vev/(2d0*cw**2d0)
      coupl(nGC_123) = cima*cw**2d0*ee**2d0*vev/(2d0*sw**2d0) + cima*ee**2d0*  &
                       vev + cima*ee**2d0*sw**2d0*vev/(2d0*cw**2d0)
      coupl(nGC_120) = cima*cw*ee**2d0*vev/(2d0*sw**2d0) - cima*ee**2d0*vev/(  &
                       2d0*cw)
      coupl(nGC_121) = -cima*cw**2d0*ee**2d0*vev/(4d0*sw**2d0) - cima*ee**2d0* &
                       vev/2d0 - cima*ee**2d0*sw**2d0*vev/(4d0*cw**2d0)
      coupl(nGC_128) = -sqrt(2d0)*cima*yc/2d0
      coupl(nGC_129) = sqrt(2d0)*yc/2d0
      coupl(nGC_MMW_GF) = -cMW*cima
      coupl(nGC_85) = -cima*cw*ee/(2d0*sw) + cima*ee*sw/(2d0*cw)
      coupl(nGC_67) = -ee**2d0/sw
      coupl(nGC_679) = -sqrt(2d0)/2d0
      coupl(nGC_I) = cima
      coupl(nGC_MD) = -cMD*cima
      coupl(nGC_3) = -cima*ee
      coupl(nGC_2) = -2d0*cima*ee/3d0
      coupl(nGC_1) = cima*ee/3d0
      coupl(nGC_7) = -cima*ee**2d0
      coupl(nGC_5) = -2d0*cima*ee
      coupl(nGC_4) = cima*ee
      coupl(nGC_584) = -sqrt(2d0)*cima*ee/(2d0*sw**2d0)
      coupl(nGC_585) = -2d0*cima*ee**2d0
      coupl(nGC_9) = -2d0*cima*ee**2d0
      coupl(nGC_8) = cima*ee**2d0
      coupl(nGC_582) = 2d0*cima*ee*sw/(3d0*cw**2d0)
      coupl(nGC_583) = sqrt(2d0)*cima*ee/(2d0*sw)
      coupl(nGC_566) = cima*ee/sw
      coupl(nGC_567) = 2d0*cima*cw*ee/sw
      coupl(nGC_564) = cima*cw*ee/sw
      coupl(nGC_565) = -cima*cw*ee/sw**2d0
      coupl(nGC_562) = 2d0*cima*cw*ee/sw**2d0
      coupl(nGC_563) = -2d0*cima*ee/sw
      coupl(nGC_609) = -4d0*cima*ee**2d0
      coupl(nGC_16) = ee**2d0/(2d0*cw)
      coupl(nGC_607) = cima*ee**2d0*vev/sw**2d0
      coupl(nGC_606) = -cima*ee**2d0*vev/sw**3d0
      coupl(nGC_605) = -sqrt(2d0)*cima/2d0
      coupl(nGC_604) = -3d0*cima/2d0
      coupl(nGC_603) = -cima/2d0
      coupl(nGC_602) = -sqrt(2d0)/2d0
      coupl(nGC_568) = -2d0*cima*cw*ee/sw**2d0
      coupl(nGC_569) = 2d0*cima*ee/sw
      coupl(nGC_53) = ee**2d0/(2d0*sw**2d0)
      coupl(nGC_52) = ee**2d0/(4d0*sw**2d0)
      coupl(nGC_51) = 2d0*cima*ee**2d0/sw**2d0
      coupl(nGC_50) = -2d0*cima*ee**2d0/sw**2d0
      coupl(nGC_57) = 2d0*cima*cw**2d0*ee**2d0/sw**2d0
      coupl(nGC_56) = -2d0*cima*cw**2d0*ee**2d0/sw**2d0
      coupl(nGC_55) = cima*cw**2d0*ee**2d0/sw**2d0
      coupl(nGC_54) = -cima*cw**2d0*ee**2d0/sw**2d0
      coupl(nGC_13) = -ee**2d0/(2d0*cw)
      coupl(nGC_59) = -cima*ee/(2d0*sw)
      coupl(nGC_58) = -ee/(2d0*sw)
      coupl(nGC_12) = ee**2d0/(4d0*cw**2d0)
      coupl(nGC_483) = 2d0*cima*cw**2d0*ee**2d0/sw**2d0
      coupl(nGC_10) = 2d0*cima*ee**2d0
      coupl(nGC_698) = 2d0*cima*ee
      coupl(nGC_699) = cima*ee**2d0*vev/(2d0*sw**2d0)
      coupl(nGC_517) = 4d0*cima*ee**2d0/sw**3d0
      coupl(nGC_516) = -4d0*cima*ee**2d0/sw**2d0
      coupl(nGC_519) = -3d0*cima*lam/2d0
      coupl(nGC_518) = -3d0*cima*vev/2d0
      coupl(nGC_694) = cima*ee**2d0/sw**3d0
      coupl(nGC_695) = -cima*ee*(cw - sw)*(cw + sw)/(2d0*cw*sw)
      coupl(nGC_696) = cima*ee*(cw**2d0 + sw**2d0)/(2d0*cw*sw**2d0)
      coupl(nGC_697) = -cima*ee*(cw**2d0 + sw**2d0)/(2d0*cw**2d0*sw)
      coupl(nGC_526) = -cima*ee/(2d0*sw)
      coupl(nGC_488) = cima*ee**2d0*(cw**2d0 + sw**2d0)**2d0/(cw**2d0*sw**2d0)
      coupl(nGC_524) = -4d0*cima*cw**2d0*ee**2d0/sw**3d0
      coupl(nGC_485) = 2d0*cima*cw*ee**2d0/sw**2d0
      coupl(nGC_529) = -cima*ee**2d0*vev*(cw**2d0 + sw**2d0)**2d0/(cw**2d0*sw**&
                       2d0)
      coupl(nGC_468) = -2d0*cima*cw*ee**2d0/sw**2d0
      coupl(nGC_462) = 2d0*cima*ee**2d0/sw
      coupl(nGC_461) = -2d0*cima*cw*ee**2d0/sw**2d0
      coupl(nGC_466) = -2d0*cima*cw**2d0*ee**2d0/sw**2d0
      coupl(nGC_465) = -ee*(cw - sw)*(cw + sw)/(2d0*cw**2d0*sw)
      coupl(nGC_17) = -2d0*gs
      coupl(nGC_484) = -2d0*cima*cw**2d0*ee**2d0/sw**3d0
      coupl(nGC_15) = cima*ee**2d0/(2d0*cw)
      coupl(nGC_486) = -cima*ee**2d0/cw
      coupl(nGC_481) = -cima*ee**2d0*(cw - sw)*(cw + sw)*(cw**2d0 + sw**2d0)/( &
                       cw**2d0*sw**3d0)
      coupl(nGC_480) = cima*ee**2d0*(cw - sw)**2d0*(cw + sw)**2d0/(cw**2d0*sw**&
                       2d0)
      coupl(nGC_11) = -ee**2d0/(4d0*cw**2d0)
      coupl(nGC_482) = cima*ee**2d0*(cw - sw)*(cw + sw)*(cw**2d0 + sw**2d0)/(cw&
                       **3d0*sw**2d0)
      coupl(nGC_522) = sqrt(2d0)/2d0
      coupl(nGC_523) = 4d0*cima*cw**2d0*ee**2d0/sw**2d0
      coupl(nGC_489) = -cima*ee**2d0*(cw - sw)*(cw + sw)*(cw**2d0 + sw**2d0)/( &
                       cw**2d0*sw**3d0)
      coupl(nGC_527) = cima*ee/(2d0*sw**2d0)
      coupl(nGC_19) = cima*gs
      coupl(nGC_18) = -gs
      coupl(nGC_MW_GF) = cMW*cima
      coupl(nGC_636) = cima*ee**2d0*(cw - sw)*(cw + sw)*(cw**2d0 + sw**2d0)/(cw&
                       **2d0*sw**3d0)
      coupl(nGC_598) = -2d0*gs
      coupl(nGC_635) = -cima*ee**2d0*(cw - sw)**2d0*(cw + sw)**2d0/(cw**2d0*sw &
                       **2d0)
      coupl(nGC_6) = 2d0*cima*ee
      coupl(nGC_135) = -sqrt(2d0)*cima*ye/2d0
      coupl(nGC_134) = -sqrt(2d0)*ye/2d0
      coupl(nGC_137) = -sqrt(2d0)*ym/2d0
      coupl(nGC_136) = -cima*ym
      coupl(nGC_131) = -sqrt(2d0)*ydo/2d0
      coupl(nGC_130) = -cima*ydo
      coupl(nGC_133) = -cima*ye
      coupl(nGC_132) = -sqrt(2d0)*cima*ydo/2d0
      coupl(nGC_MI) = -cima
      coupl(nGC_648) = cima*ee**2d0/(2d0*cw)
      coupl(nGC_139) = -cima*ys
      coupl(nGC_138) = -sqrt(2d0)*cima*ym/2d0
      coupl(nGC_587) = -sqrt(2d0)*cima/2d0
      coupl(nGC_637) = -cima*ee**2d0*(cw - sw)*(cw + sw)*(cw**2d0 + sw**2d0)/( &
                       cw**3d0*sw**2d0)
      coupl(nGC_580) = -2d0*cima*ee*sw/(3d0*cw)
      coupl(nGC_581) = -2d0*cima*ee/(3d0*cw)
      coupl(nGC_MH) = -cMH**2d0*cima
      coupl(nGC_478) = cima*ee*(3d0*cw**2d0 - sw**2d0)/(6d0*cw*sw**2d0)
      coupl(nGC_222) = -coupl(nGC_125)
      coupl(nGC_224) = -coupl(nGC_129)
      coupl(nGC_228) = -coupl(nGC_4)
      coupl(nGC_474) = cima*ee*sw/(3d0*cw)
      coupl(nGC_MM) = -cMM*cima
      coupl(nGC_476) = -cima*ee*sw/(3d0*cw**2d0)
      coupl(nGC_477) = -cima*ee*(3d0*cw**2d0 + sw**2d0)/(6d0*cw*sw)
      coupl(nGC_472) = -ee**2d0/cw
      coupl(nGC_473) = ee**2d0/(2d0*cw**2d0)
      coupl(nGC_457) = 2d0*cima*cw*ee**2d0/sw
      coupl(nGC_455) = ee**2d0/sw
      coupl(nGC_458) = -cima*cw*ee**2d0/sw**2d0
      coupl(nGC_459) = cima*ee**2d0/sw
      coupl(nGC_596) = -sqrt(2d0)/2d0
      coupl(nGC_595) = -sqrt(2d0)*cima/2d0
      coupl(nGC_594) = -sqrt(2d0)*cima/2d0
      coupl(nGC_296) = -2d0*coupl(nGC_85)
      coupl(nGC_292) = coupl(nGC_6)/2d0
      coupl(nGC_298) = coupl(nGC_5)/2d0
      coupl(nGC_638) = -cima*vev/2d0
      coupl(nGC_575) = -sqrt(2d0)*cima/2d0
      coupl(nGC_574) = -2d0*cima*ee
      coupl(nGC_577) = -cima*ee*(3d0*cw**2d0 + sw**2d0)/(6d0*cw*sw**2d0)
      coupl(nGC_576) = cima*ee*(3d0*cw**2d0 - sw**2d0)/(6d0*cw*sw)
      coupl(nGC_570) = cima*ee
      coupl(nGC_579) = 2d0*cima*ee**2d0
      coupl(nGC_578) = cima*ee*(3d0*cw**2d0 + sw**2d0)/(6d0*cw**2d0*sw)
      coupl(nGC_244) = -coupl(nGC_5)/2d0
      coupl(nGC_48) = -cima*ee**2d0/sw**2d0
      coupl(nGC_49) = cima*ee**2d0/sw**2d0
      coupl(nGC_44) = -ee**2d0/(4d0*sw**2d0)
      coupl(nGC_45) = -cima*ee**2d0/(4d0*sw**2d0)
      coupl(nGC_46) = -cima*ee**2d0/(2d0*sw**2d0)
      coupl(nGC_47) = cima*ee**2d0/(2d0*sw**2d0)
      coupl(nGC_40) = cw*ee**2d0/(4d0*sw**2d0) + ee**2d0/(4d0*cw)
      coupl(nGC_41) = cw*ee**2d0/(2d0*sw**2d0) - ee**2d0/(2d0*cw)
      coupl(nGC_42) = cw*ee**2d0/(2d0*sw**2d0) + ee**2d0/(2d0*cw)
      coupl(nGC_43) = -ee**2d0/(2d0*sw**2d0)
      coupl(nGC_686) = 2d0*cima*ee**2d0/sw**3d0
      coupl(nGC_685) = -2d0*cima*ee**2d0/sw**2d0
      coupl(nGC_682) = -cima*ee**2d0/(2d0*sw**2d0)
      coupl(nGC_681) = -cima*ee**2d0*vev/sw**2d0
      coupl(nGC_680) = cima*ee**2d0*vev/sw**3d0
      coupl(nGC_608) = cima*ee**2d0/(2d0*sw**2d0)
      coupl(nGC_324) = coupl(nGC_50)/2d0
      coupl(nGC_326) = -coupl(nGC_50)
      coupl(nGC_174) = cima*gs
      coupl(nGC_704) = -cima*ee**2d0*vev/(2d0*sw**2d0)
      coupl(nGC_705) = cima*ee**2d0*vev/sw
      coupl(nGC_702) = -ee**2d0/sw
      coupl(nGC_703) = ee**2d0/(2d0*sw**2d0)
      coupl(nGC_700) = -cima*ee**2d0*vev/sw
      coupl(nGC_701) = -cima*ee**2d0/(2d0*sw)
      coupl(nGC_322) = -2d0*coupl(nGC_4)
      coupl(nGC_492) = -4d0*cima*cw**2d0*ee**2d0/sw**2d0
      coupl(nGC_248) = -2d0*coupl(nGC_59)
      coupl(nGC_469) = cima*ee*(cw**2d0 + sw**2d0)/(2d0*cw*sw)
      coupl(nGC_647) = -cima*ee**2d0*vev/(2d0*cw**2d0)
      coupl(nGC_646) = cima*ee**2d0*vev/cw
      coupl(nGC_ME) = -cME*cima
      coupl(nGC_525) = 4d0*cima*cw*ee**2d0/sw**2d0
      coupl(nGC_561) = -2d0*cima*cw*ee/sw
      coupl(nGC_463) = -ee*(cw**2d0 + sw**2d0)/(2d0*cw*sw)
      coupl(nGC_310) = -coupl(nGC_134)
      coupl(nGC_318) = coupl(nGC_10)/2d0
      coupl(nGC_250) = 2d0*coupl(nGC_21)
      coupl(nGC_252) = coupl(nGC_66)/2d0
      coupl(nGC_528) = cima*ee**2d0*vev*(cw - sw)*(cw + sw)*(cw**2d0 + sw**2d0 &
                       )/(cw**2d0*sw**3d0)
      coupl(nGC_531) = -cima*ee**2d0*(cw**2d0 + sw**2d0)**2d0/(2d0*cw**2d0*sw**&
                       2d0)
      coupl(nGC_530) = -cima*ee**2d0*vev*(cw - sw)*(cw + sw)*(cw**2d0 + sw**2d0&
                       )/(cw**3d0*sw**2d0)
      coupl(nGC_150) = sqrt(2d0)*yup/2d0
      coupl(nGC_693) = -cima*ee**2d0/sw**2d0
      coupl(nGC_460) = 4d0*cima*cw*ee**2d0/sw
      coupl(nGC_593) = -sqrt(2d0)/2d0
      coupl(nGC_99) = -cima*ee**2d0*vev/(2d0*cw)
      coupl(nGC_98) = ee**2d0*vev/(4d0*cw**2d0)
      coupl(nGC_97) = -ee**2d0*vev/(4d0*cw**2d0)
      coupl(nGC_96) = cima*cw**2d0*ee**2d0/(2d0*sw**2d0) + cima*ee**2d0 + cima*&
                      ee**2d0*sw**2d0/(2d0*cw**2d0)
      coupl(nGC_95) = cima*cw**2d0*ee**2d0/(2d0*sw**2d0) - cima*ee**2d0 + cima*&
                      ee**2d0*sw**2d0/(2d0*cw**2d0)
      coupl(nGC_94) = -cima*cw**2d0*ee**2d0/(2d0*sw**2d0) + cima*ee**2d0 - cima&
                      *ee**2d0*sw**2d0/(2d0*cw**2d0)
      coupl(nGC_93) = -cima*cw**2d0*ee**2d0/(2d0*sw**2d0) - cima*ee**2d0 - cima&
                      *ee**2d0*sw**2d0/(2d0*cw**2d0)
      coupl(nGC_92) = -cima*cw**2d0*ee**2d0/(4d0*sw**2d0) + cima*ee**2d0/2d0 - &
                      cima*ee**2d0*sw**2d0/(4d0*cw**2d0)
      coupl(nGC_91) = -cima*cw**2d0*ee**2d0/(4d0*sw**2d0) - cima*ee**2d0/2d0 - &
                      cima*ee**2d0*sw**2d0/(4d0*cw**2d0)
      coupl(nGC_90) = -cima*cw*ee**2d0/sw + cima*ee**2d0*sw/cw
      coupl(nGC_625) = cima*ee**2d0*(cw**2d0 + sw**2d0)/(cw**2d0*sw)
      coupl(nGC_624) = -cima*ee**2d0*(cw**2d0 + sw**2d0)/(cw*sw**2d0)
      coupl(nGC_621) = cima*ee**2d0*(cw**2d0 + sw**2d0)/(cw*sw**2d0)
      coupl(nGC_467) = 2d0*cima*cw**2d0*ee**2d0/sw**3d0
      coupl(nGC_623) = 2d0*cima*ee**2d0*(cw - sw)*(cw + sw)/(cw*sw)
      coupl(nGC_622) = -cima*ee**2d0*(cw**2d0 + sw**2d0)/(cw**2d0*sw)
      coupl(nGC_628) = -2d0*cima*ee**2d0/sw
      coupl(nGC_75) = cima*cw*ee**2d0/sw
      coupl(nGC_74) = -cima*cw*ee**2d0/sw
      coupl(nGC_77) = 2d0*cima*cw*ee**2d0/sw
      coupl(nGC_76) = -2d0*cima*cw*ee**2d0/sw
      coupl(nGC_71) = -cima*ee**2d0/sw
      coupl(nGC_70) = cima*ee**2d0/(2d0*sw)
      coupl(nGC_73) = ee**2d0/sw
      coupl(nGC_72) = ee**2d0/(2d0*sw)
      coupl(nGC_79) = -2d0*cima*ee*sw/(3d0*cw)
      coupl(nGC_78) = cima*ee*sw/(3d0*cw)
      coupl(nGC_100) = cima*ee**2d0*vev/(2d0*cw)
      coupl(nGC_101) = -cima*lam*vev/2d0
      coupl(nGC_102) = -3d0*cima*lam*vev/2d0
      coupl(nGC_103) = -ee**2d0*vev/(2d0*sw**2d0)
      coupl(nGC_104) = -ee**2d0*vev/(4d0*sw**2d0)
      coupl(nGC_105) = -cima*ee**2d0*vev/(4d0*sw**2d0)
      coupl(nGC_106) = -cima*ee**2d0*vev/(2d0*sw**2d0)
      coupl(nGC_107) = cima*ee**2d0*vev/(2d0*sw**2d0)
      coupl(nGC_108) = ee**2d0*vev/(4d0*sw**2d0)
      coupl(nGC_109) = ee**2d0*vev/(2d0*sw**2d0)
      coupl(nGC_464) = ee*(cw - sw)*(cw + sw)/(2d0*cw*sw**2d0)
      coupl(nGC_240) = -coupl(nGC_3)
      coupl(nGC_214) = 1d0/(2d0*cMZ)
      coupl(nGC_210) = -cima/(2d0*cMW)
      coupl(nGC_612) = -cima*ee*sw/cw**2d0
      coupl(nGC_552) = cima*ee**2d0*(cw**2d0 + sw**2d0)**2d0/(2d0*cw**2d0*sw** &
                       2d0)
      coupl(nGC_445) = -2d0*cima*ee/3d0
      coupl(nGC_447) = -2d0*cima*ee**2d0/sw**3d0
      coupl(nGC_449) = cima*ee**2d0/(2d0*sw**2d0)
      coupl(nGC_446) = 2d0*cima*ee**2d0/sw**2d0
      coupl(nGC_280) = coupl(nGC_20) + coupl(nGC_21)
      coupl(nGC_286) = -2d0*coupl(nGC_21)
      coupl(nGC_448) = -cima*ee**2d0/sw
      coupl(nGC_487) = cima*ee**2d0/(2d0*cw**2d0)
      coupl(nGC_288) = -coupl(nGC_20) + coupl(nGC_21)
      coupl(nGC_586) = sqrt(2d0)/2d0
      coupl(nGC_544) = cima*ee/(2d0*sw)
      coupl(nGC_546) = ee/(2d0*sw)
      coupl(nGC_547) = -ee/(2d0*sw**2d0)
      coupl(nGC_548) = -sqrt(2d0)/2d0
      coupl(nGC_665) = cima*ee**2d0/sw**2d0
      coupl(nGC_664) = cima*ee/3d0
      coupl(nGC_550) = cima*ee**2d0*vev*(cw**2d0 + sw**2d0)**2d0/(cw**2d0*sw** &
                       2d0)
      coupl(nGC_666) = -cima*ee**2d0/sw**3d0
      coupl(nGC_39) = cw*ee**2d0/(4d0*sw**2d0) - ee**2d0/(4d0*cw)
      coupl(nGC_38) = cima*cw*ee**2d0/(2d0*sw**2d0) - cima*ee**2d0/(2d0*cw)
      coupl(nGC_31) = -cw*ee**2d0/(2d0*sw**2d0) - ee**2d0/(2d0*cw)
      coupl(nGC_33) = -cw*ee**2d0/(4d0*sw**2d0) - ee**2d0/(4d0*cw)
      coupl(nGC_35) = -cima*cw*ee**2d0/(4d0*sw**2d0) + cima*ee**2d0/(4d0*cw)
      coupl(nGC_34) = -cw*ee**2d0/(4d0*sw**2d0) + ee**2d0/(4d0*cw)
      coupl(nGC_37) = -cima*cw*ee**2d0/(2d0*sw**2d0) - cima*ee**2d0/(2d0*cw)
      coupl(nGC_144) = sqrt(2d0)*yt/2d0
      coupl(nGC_145) = -cima*ytau
      coupl(nGC_146) = -sqrt(2d0)*ytau/2d0
      coupl(nGC_147) = -sqrt(2d0)*cima*ytau/2d0
      coupl(nGC_140) = -sqrt(2d0)*ys/2d0
      coupl(nGC_141) = -sqrt(2d0)*cima*ys/2d0
      coupl(nGC_142) = cima*yt
      coupl(nGC_282) = -coupl(nGC_20) - coupl(nGC_21)
      coupl(nGC_148) = cima*yup
      coupl(nGC_149) = -sqrt(2d0)*cima*yup/2d0
      coupl(nGC_284) = -coupl(nGC_21)
      coupl(nGC_312) = -coupl(nGC_85)
      coupl(nGC_456) = -ee**2d0/(2d0*sw**2d0)
      coupl(nGC_314) = -2d0*coupl(nGC_58)
      coupl(nGC_498) = cima*ee**2d0/cw
      coupl(nGC_MC) = -cMC*cima
      coupl(nGC_MB) = -cMB*cima
      coupl(nGC_MZ) = cMZ**2d0*cima
      coupl(nGC_MS) = -cMS*cima
      coupl(nGC_444) = -sqrt(2d0)/2d0
      coupl(nGC_MW) = cMW**2d0*cima
      coupl(nGC_MU) = -cMU*cima
      coupl(nGC_MT) = -cMT*cima
      coupl(nGC_479) = -cima*ee*(3d0*cw**2d0 - sw**2d0)/(6d0*cw**2d0*sw)
      coupl(nGC_655) = -cima*ee**2d0*(cw**2d0 + sw**2d0)**2d0/(cw**2d0*sw**2d0)
      coupl(nGC_639) = -cima*lam/2d0
      coupl(nGC_656) = cima*ee**2d0*(cw - sw)*(cw + sw)*(cw**2d0 + sw**2d0)/(cw&
                       **2d0*sw**3d0)
      coupl(nGC_657) = -cima*ee**2d0*(cw - sw)*(cw + sw)*(cw**2d0 + sw**2d0)/( &
                       cw**3d0*sw**2d0)
      coupl(nGC_549) = -cima*ee**2d0*vev*(cw - sw)*(cw + sw)*(cw**2d0 + sw**2d0&
                       )/(cw**2d0*sw**3d0)
      coupl(nGC_220) = -2d0*coupl(nGC_8)
      coupl(nGC_MTA) = -cMTA*cima
      coupl(nGC_30) = cima*ee**2d0/(2d0*sw**2d0) - cima*lam + cima*ee**2d0/(2d0&
                      *cw**2d0)
      coupl(nGC_475) = cima*ee/(3d0*cw)
      coupl(nGC_32) = -cw*ee**2d0/(2d0*sw**2d0) + ee**2d0/(2d0*cw)
      coupl(nGC_112) = -cima*ee**2d0*vev/sw
      coupl(nGC_88) = cima*cw*ee**2d0/(2d0*sw) - cima*ee**2d0*sw/(2d0*cw)
      coupl(nGC_89) = cima*cw*ee**2d0/sw - cima*ee**2d0*sw/cw
      coupl(nGC_80) = cima*ee*sw/cw
      coupl(nGC_81) = -cw*ee/(2d0*sw) - ee*sw/(2d0*cw)
      coupl(nGC_82) = -cima*cw*ee/(2d0*sw) - cima*ee*sw/(6d0*cw)
      coupl(nGC_36) = cima*cw*ee**2d0/(4d0*sw**2d0) + cima*ee**2d0/(4d0*cw)
      coupl(nGC_84) = cima*cw*ee/(2d0*sw) - cima*ee*sw/(2d0*cw)
      coupl(nGC_86) = cima*cw*ee/(2d0*sw) + cima*ee*sw/(2d0*cw)
      coupl(nGC_87) = cw*ee/(2d0*sw) + ee*sw/(2d0*cw)
      coupl(nGC_610) = cima*ee*sw/cw
      coupl(nGC_611) = cima*ee/cw
      coupl(nGC_613) = sqrt(2d0)/2d0
      coupl(nGC_614) = -cima*ee
      coupl(nGC_597) = -sqrt(2d0)*cima/2d0
      coupl(nGC_545) = -cima*ee/(2d0*sw**2d0)
      coupl(nGC_64) = cima*cw*ee/sw
      coupl(nGC_65) = -2d0*cima*cw*ee/sw
      coupl(nGC_62) = sqrt(2d0)*cima*ee/(2d0*sw)
      coupl(nGC_63) = -cima*cw*ee/sw
      coupl(nGC_60) = cima*ee/(2d0*sw)
      coupl(nGC_61) = ee/(2d0*sw)
      coupl(nGC_68) = -ee**2d0/(2d0*sw)
      coupl(nGC_69) = -cima*ee**2d0/(2d0*sw)
      coupl(nGC_706) = cima*ee**2d0/(2d0*sw)
      coupl(nGC_143) = -sqrt(2d0)*cima*yt/2d0
      coupl(nGC_504) = ee**2d0/cw
      coupl(nGC_505) = -ee**2d0/(2d0*cw**2d0)
      coupl(nGC_470) = -cima*ee*(cw - sw)*(cw + sw)/(2d0*cw*sw**2d0)
      coupl(nGC_500) = cima*ee**2d0/sw
      coupl(nGC_501) = -cima*ee**2d0/(2d0*sw**2d0)
      coupl(nGC_119) = -cima*cw*ee**2d0*vev/(2d0*sw**2d0) - cima*ee**2d0*vev/( &
                       2d0*cw)
      coupl(nGC_118) = cima*cw*ee**2d0*vev/(4d0*sw**2d0) + cima*ee**2d0*vev/(  &
                       4d0*cw)
      coupl(nGC_117) = -cima*cw*ee**2d0*vev/(4d0*sw**2d0) + cima*ee**2d0*vev/( &
                       4d0*cw)
      coupl(nGC_116) = -cima*ee**2d0*vev/(2d0*sw**2d0) - cima*lam*vev/2d0 -    &
                       cima*ee**2d0*vev/(2d0*cw**2d0)
      coupl(nGC_115) = -cima*ee**2d0*vev/(2d0*sw**2d0) - cima*lam*vev/2d0
      coupl(nGC_114) = cima*ee**2d0*vev/(4d0*sw**2d0) - cima*lam*vev/2d0 + cima&
                       *ee**2d0*vev/(4d0*cw**2d0)
      coupl(nGC_113) = cima*ee**2d0*vev/(4d0*sw**2d0) - cima*lam*vev/2d0
      coupl(nGC_509) = -sqrt(2d0)*cima/2d0
      coupl(nGC_111) = cima*ee**2d0*vev/(2d0*sw)
      coupl(nGC_110) = -cima*ee**2d0*vev/(2d0*sw)
      coupl(nGC_278) = coupl(nGC_20) - coupl(nGC_21)
      coupl(nGC_276) = -coupl(nGC_18)
      coupl(nGC_274) = coupl(nGC_17)/2d0
      coupl(nGC_272) = -2d0*coupl(nGC_84)
      coupl(nGC_270) = -coupl(nGC_146)
      coupl(nGC_308) = -2d0*coupl(nGC_60)
      coupl(nGC_236) = -coupl(nGC_64)
      coupl(nGC_234) = -coupl(nGC_77)
      coupl(nGC_238) = -coupl(nGC_131)
      coupl(nGC_232) = -coupl(nGC_77)/2d0
      coupl(nGC_230) = -coupl(nGC_137)
      coupl(nGC_302) = -2d0*coupl(nGC_3)
      coupl(nGC_300) = -coupl(nGC_17)/2d0
      coupl(nGC_306) = -coupl(nGC_144)
      coupl(nGC_304) = -coupl(nGC_59)
      coupl(nGC_268) = -coupl(nGC_61)
      coupl(nGC_264) = -coupl(nGC_60)
      coupl(nGC_266) = -coupl(nGC_6)/2d0
      coupl(nGC_260) = -coupl(nGC_81)
      coupl(nGC_262) = -coupl(nGC_65)/2d0
      coupl(nGC_226) = -2d0*coupl(nGC_48)
      coupl(nGC_294) = -2d0*coupl(nGC_87)
      coupl(nGC_290) = -coupl(nGC_150)
      coupl(nGC_320) = -coupl(nGC_10)
      coupl(nGC_258) = -coupl(nGC_140)
      coupl(nGC_254) = -coupl(nGC_63)
      coupl(nGC_256) = -2d0*coupl(nGC_61)
      coupl(nGC_316) = -2d0*coupl(nGC_81)
      coupl(nGC_246) = coupl(nGC_65)/2d0
    end subroutine fill_couplings_mdl1
end module fill_couplings1
