!******************************************************************************!
!                                                                              !
!    fill_ctcouplings1.f90                                                     !
!    is part of RECOLA2 (REcursive Computation of One Loop Amplitudes)2        !
!                                                                              !
!    Copyright (C) 2016,2017 Ansgar Denner, Jean-Nicolas Lang and              !
!                            Sandro Uccirati                                   !
!                                                                              !
!    RECOLA2 is licenced under the GNU GPL version 3,                          !
!    see COPYING for details.                                                  !
!                                                                              !
!******************************************************************************!
!                                                           .---.              !
!                                                          /  .  \             !
!                                                         |\_/|   |            !
!                                                         |   |  /|            !
!          .----------------------------------------------------' |            !
!         /  .-.   fill_ctcouplings1.f90                          |            !
!        |  /   \  This code was generated with REPT1L.           |            !
!        | |\_.  | Change this file and you get what you deserve. |            !
!        |\|  | /| Author: J.N. Lang                              |            !
!        | `---' | UFO date: 07/2017                              |            !
!        |       | UFO version: 1.0                               |            !
!        |       | Generation date: 2017-09-13 22:48             /             !
!        |       |----------------------------------------------'              !
!        \       |                                                             !
!         \     /                                                              !
!          `---'                                                               !
!******************************************************************************!
module fill_ctcouplings1
  use constants_mdl
  use class_couplings
  use class_ctparameters
  contains
    subroutine fill_CTcouplings_mdl1()
      coupl(nGC_1072) = -cima*dMM_QED2
      coupl(nGC_981) = coupl(nGC_599)*dZgs_QCD2
      coupl(nGC_982) = coupl(nGC_556)*dZgs_QCD2
      coupl(nGC_984) = cima*dyup_QED3
      coupl(nGC_985) = cima*dyup_QED1_QCD2
      coupl(nGC_986) = -cima*dydo_QED3
      coupl(nGC_987) = -cima*dydo_QED1_QCD2
      coupl(nGC_988) = -cima*dys_QED3
      coupl(nGC_989) = -cima*dys_QED1_QCD2
      coupl(nGC_GG) = cima*dt_QED1/vev
      coupl(nGC_975) = coupl(nGC_591)*dZee_QED2
      coupl(nGC_1256) = coupl(nGC_83)*dZcL_QCD2
      coupl(nGC_1283) = coupl(nGC_123)*dZZA_QED2/2d0
      coupl(nGC_1131) = coupl(nGC_1)*dZbR_QCD2
      coupl(nGC_1134) = coupl(nGC_83)*dZtL_QCD2
      coupl(nGC_1009) = -cima*dym_QED3
      coupl(nGC_1008) = -cima*dye_QED3
      coupl(nGC_1410) = coupl(nGC_MZ_GF)*dZZA_QED2/2d0
      coupl(nGC_1310) = 2d0*coupl(nGC_21)*dZg_QCD2 + coupl(nGC_982)
      coupl(nGC_997) = coupl(nGC_679)*dydo_QED1_QCD2
      coupl(nGC_996) = coupl(nGC_679)*dydo_QED3
      coupl(nGC_995) = cima*dyt_QED1_QCD2
      coupl(nGC_1121) = coupl(nGC_19)*dZcR_QED2
      coupl(nGC_993) = -cima*dyb_QED1_QCD2
      coupl(nGC_992) = -cima*dyb_QED3
      coupl(nGC_991) = cima*dyc_QED1_QCD2
      coupl(nGC_990) = cima*dyc_QED3
      coupl(nGC_1110) = coupl(nGC_19)*dZtL_QED2
      coupl(nGC_1178) = coupl(nGC_21)*dZg_QCD2 + coupl(nGC_982)
      coupl(nGC_739) = cima*coupl(nGC_19)**2d0*sq2**2d0*(-Nc**2d0 + 1d0)/(64d0*&
                       pi**2d0*Nc)
      coupl(nGC_1215) = coupl(nGC_19)*dZuR_QED2
      coupl(nGC_1177) = 2d0*coupl(nGC_21)*dZg_QCD2 + 2d0*coupl(nGC_982)
      coupl(nGC_1210) = coupl(nGC_127)*dZcR_QCD2/2d0 + coupl(nGC_127)*dZsL_QCD2&
                        /2d0 + coupl(nGC_991)
      coupl(nGC_1129) = coupl(nGC_1)*dZbL_QCD2
      coupl(nGC_1213) = coupl(nGC_19)*dZuL_QED2
      coupl(nGC_961) = coupl(nGC_604)*dlam_QED4
      coupl(nGC_738) = cMU*cima*coupl(nGC_19)**2d0*sq2**2d0*(-Nc**2d0 + 1d0)/( &
                       32d0*pi**2d0*Nc)
      coupl(nGC_861) = coupl(nGC_126)*coupl(nGC_19)**2d0*sq2**2d0*(Nc**2d0 -   &
                       1d0)/(16d0*pi**2d0*Nc)
      coupl(nGC_944) = cima*coupl(nGC_19)**3d0*sq2**3d0*(coupl(nGC_1) + coupl( &
                       nGC_2))/(16d0*pi**2d0*Nc**2d0)
      coupl(nGC_1326) = coupl(nGC_2)*dZtR_QCD2
      coupl(nGC_1311) = -4d0*coupl(nGC_21)*dZg_QCD2 - 2d0*coupl(nGC_982)
      coupl(nGC_1292) = coupl(nGC_MI)*dZbL_QED2
      coupl(nGC_1293) = coupl(nGC_MI)*dZbL_QCD2
      coupl(nGC_1056) = coupl(nGC_483)*dZee_QED2 + coupl(nGC_484)*dsw_QED2 +   &
                        coupl(nGC_485)*dcw_QED2
      coupl(nGC_HHHH) = -3d0*cima*dt_QED1/vev**3d0
      coupl(nGC_1053) = coupl(nGC_488)*dZee_QED2 + coupl(nGC_489)*dsw_QED2 +   &
                        coupl(nGC_490)*dcw_QED2
      coupl(nGC_1051) = coupl(nGC_495)*dZee_QED2 + coupl(nGC_496)*dcw_QED2 +   &
                        coupl(nGC_497)*dvev_QED1
      coupl(nGC_1190) = coupl(nGC_1)*dZdR_QCD2
      coupl(nGC_959) = coupl(nGC_635)*dZee_QED2 + coupl(nGC_636)*dsw_QED2 +    &
                       coupl(nGC_637)*dcw_QED2
      coupl(nGC_958) = coupl(nGC_609)*dZee_QED2
      coupl(nGC_1227) = coupl(nGC_124)*dZbR_QCD2/2d0 + coupl(nGC_124)*dZtL_QCD2&
                        /2d0 + coupl(nGC_993)
      coupl(nGC_1251) = coupl(nGC_130)*dZdR_QED2/2d0 + coupl(nGC_130)*dZuL_QED2&
                        /2d0 + coupl(nGC_986)
      coupl(nGC_1376) = coupl(nGC_MI)*dZA_QED2
      coupl(nGC_1346) = coupl(nGC_MI)*dZnu_tauL_QED2
      coupl(nGC_1085) = -cima*dMB_QCD2
      coupl(nGC_1084) = -cima*dMB_QED2
      coupl(nGC_1087) = cima*dMW2_QED2
      coupl(nGC_1086) = cima*dMZ2_QED2
      coupl(nGC_1081) = -cima*dMD_QCD2
      coupl(nGC_1080) = -cima*dMD_QED2
      coupl(nGC_994) = cima*dyt_QED3
      coupl(nGC_771) = coupl(nGC_19)**2d0*coupl(nGC_2)*sq2**2d0*(Nc**2d0 - 1d0 &
                       )/(32d0*pi**2d0*Nc)
      coupl(nGC_778) = coupl(nGC_1)*coupl(nGC_19)**2d0*sq2**2d0*(Nc**2d0 - 1d0 &
                       )/(32d0*pi**2d0*Nc)
      coupl(nGC_1088) = coupl(nGC_206)*dMW2_QED2
      coupl(nGC_1013) = coupl(nGC_602)*dytau_QED3
      coupl(nGC_1010) = -cima*dytau_QED3
      coupl(nGC_1016) = coupl(nGC_592)*dytau_QED3
      coupl(nGC_1014) = coupl(nGC_587)*dye_QED3
      coupl(nGC_1015) = coupl(nGC_594)*dym_QED3
      coupl(nGC_1390) = 2d0*coupl(nGC_24)*dZH_QED2 + coupl(nGC_961) + coupl(   &
                        nGC_HHHH)
      coupl(nGC_1397) = coupl(nGC_MI)*dZtauMinusR_QED2
      coupl(nGC_1396) = coupl(nGC_I)*dZH_QED2
      coupl(nGC_1399) = coupl(nGC_MI)*dZtauMinusL_QED2
      coupl(nGC_1023) = coupl(nGC_605)*dyup_QED3
      coupl(nGC_GPGMGPGM) = -2d0*cima*dt_QED1/vev**3d0
      coupl(nGC_910) = cima*coupl(nGC_19)**2d0*sq2**2d0*(-coupl(nGC_1)**2d0 -  &
                       coupl(nGC_2)**2d0)/(16d0*pi**2d0*Nc)
      coupl(nGC_1265) = -coupl(nGC_MI)*(dZAZ_QED2 + dZZA_QED2)/2d0
      coupl(nGC_1264) = coupl(nGC_MI)*(dZAZ_QED2 + dZZA_QED2)/2d0
      coupl(nGC_1267) = coupl(nGC_19)*dZbL_QED2
      coupl(nGC_1262) = coupl(nGC_2)*dZcR_QCD2
      coupl(nGC_1269) = coupl(nGC_19)*dZbR_QED2
      coupl(nGC_1393) = -coupl(nGC_MZ_GF)*dZZA_QED2/2d0
      coupl(nGC_1392) = coupl(nGC_961) + coupl(nGC_HHHH)
      coupl(nGC_1063) = coupl(nGC_576)*dZee_QED2 + coupl(nGC_577)*dsw_QED2 +   &
                        coupl(nGC_578)*dcw_QED2
      coupl(nGC_1062) = coupl(nGC_580)*dZee_QED2 + coupl(nGC_581)*dsw_QED2 +   &
                        coupl(nGC_582)*dcw_QED2
      coupl(nGC_1061) = coupl(nGC_583)*dZee_QED2 + coupl(nGC_584)*dsw_QED2
      coupl(nGC_1309) = 4d0*coupl(nGC_21)*dZg_QCD2 + 2d0*coupl(nGC_982)
      coupl(nGC_1302) = -coupl(nGC_131)*dZdL_QCD2/2d0 - coupl(nGC_131)*        &
                        dZdR_QCD2/2d0 - coupl(nGC_997)
      coupl(nGC_1069) = -cima*dMH2_QED2
      coupl(nGC_1301) = -coupl(nGC_131)*dZdL_QED2/2d0 - coupl(nGC_131)*        &
                        dZdR_QED2/2d0 - coupl(nGC_996)
      coupl(nGC_1237) = coupl(nGC_1088) + coupl(nGC_MW_GF)*dZWMinus_QED2/2d0
      coupl(nGC_745) = cMT*cima*coupl(nGC_19)**2d0*sq2**2d0*(-Nc**2d0 + 1d0)/( &
                       32d0*pi**2d0*Nc)
      coupl(nGC_HHGG) = -cima*dt_QED1/vev**3d0
      coupl(nGC_GGH) = -cima*dt_QED1/vev**2d0
      coupl(nGC_1083) = -cima*dMS_QCD2
      coupl(nGC_1204) = coupl(nGC_2)*dZuL_QCD2
      coupl(nGC_1119) = coupl(nGC_19)*dZcL_QED2
      coupl(nGC_1112) = coupl(nGC_19)*dZtR_QED2
      coupl(nGC_1279) = coupl(nGC_78)*dZsR_QCD2
      coupl(nGC_1082) = -cima*dMS_QED2
      coupl(nGC_953) = cima*coupl(nGC_19)**4d0*sq2**4d0/(32d0*pi**2d0*Nc**2d0)
      coupl(nGC_957) = coupl(nGC_472)*dZee_QED2 + coupl(nGC_473)*dcw_QED2
      coupl(nGC_722) = cima*coupl(nGC_19)**2d0*sq2**2d0*(-cMB**2d0 - cMC**2d0  &
                        - cMD**2d0 - cMS**2d0 - cMT**2d0 - cMU**2d0)/(16d0*pi**&
                       2d0*Nc)
      coupl(nGC_954) = -3d0*cima*coupl(nGC_19)**4d0*sq2**4d0/(32d0*pi**2d0*Nc**&
                       3d0)
      coupl(nGC_1342) = coupl(nGC_19)*dZdL_QED2
      coupl(nGC_1344) = coupl(nGC_19)*dZdR_QED2
      coupl(nGC_1022) = coupl(nGC_522)*dyt_QED1_QCD2
      coupl(nGC_1021) = coupl(nGC_522)*dyt_QED3
      coupl(nGC_1026) = coupl(nGC_491)*dyc_QED1_QCD2
      coupl(nGC_1025) = coupl(nGC_491)*dyc_QED3
      coupl(nGC_1024) = coupl(nGC_605)*dyup_QED1_QCD2
      coupl(nGC_HHH) = -3d0*cima*dt_QED1/vev**2d0
      coupl(nGC_1232) = -coupl(nGC_MI)*dZWMinus_QED2
      coupl(nGC_1260) = coupl(nGC_2)*dZcL_QCD2
      coupl(nGC_1151) = coupl(nGC_1056) + coupl(nGC_55)*dZWMinus_QED2 + coupl( &
                        nGC_55)*dZZ_QED2 - coupl(nGC_77)*dZAZ_QED2/2d0
      coupl(nGC_1157) = coupl(nGC_19)*dZsL_QED2
      coupl(nGC_710) = cima*(-6d0*Nc*coupl(nGC_1)**2d0 - 6d0*Nc*coupl(nGC_2)** &
                       2d0 - coupl(nGC_240)**2d0 - coupl(nGC_3)**2d0 - 6d0*    &
                       coupl(nGC_4)**2d0)/(48d0*pi**2d0)
      coupl(nGC_712) = (2d0*Nc*cMB**2d0*cima*coupl(nGC_1)**2d0 + 2d0*Nc*cMC**  &
                       2d0*cima*coupl(nGC_2)**2d0 + 2d0*Nc*cMD**2d0*cima*coupl(&
                       nGC_1)**2d0 + 2d0*Nc*cMS**2d0*cima*coupl(nGC_1)**2d0 +  &
                       2d0*Nc*cMT**2d0*cima*coupl(nGC_2)**2d0 + 2d0*Nc*cMU**2d0&
                       *cima*coupl(nGC_2)**2d0 + 2d0*cME**2d0*cima*coupl(nGC_4 &
                       )**2d0 + 2d0*cMM**2d0*cima*coupl(nGC_4)**2d0 + 2d0*cMTA &
                       **2d0*cima*coupl(nGC_4)**2d0 + cMW**2d0*cima*coupl(     &
                       nGC_240)**2d0 + cMW**2d0*cima*coupl(nGC_3)**2d0 - cMW** &
                       2d0*coupl(nGC_9))/(8d0*pi**2d0)
      coupl(nGC_1159) = coupl(nGC_19)*dZsR_QED2
      coupl(nGC_719) = cima*coupl(nGC_19)**2d0*sq2**2d0*(cMB**2d0 + cMC**2d0 + &
                       cMD**2d0 + cMS**2d0 + cMT**2d0 + cMU**2d0)/(16d0*pi**2d0&
                       )
      coupl(nGC_942) = cima*coupl(nGC_19)**3d0*sq2**3d0*(coupl(nGC_1) + coupl( &
                       nGC_2))/(64d0*pi**2d0)
      coupl(nGC_943) = cima*coupl(nGC_19)**3d0*sq2**3d0*(-coupl(nGC_1) - coupl(&
                       nGC_2))/(32d0*pi**2d0*Nc)
      coupl(nGC_1308) = -2d0*coupl(nGC_21)*dZg_QCD2 - coupl(nGC_982)
      coupl(nGC_782) = (4d0*coupl(nGC_1)**3d0 + coupl(nGC_1)*coupl(nGC_125)*   &
                       coupl(nGC_222) + coupl(nGC_1)*coupl(nGC_126)**2d0 + 4d0*&
                       coupl(nGC_1)*coupl(nGC_78)**2d0 + coupl(nGC_124)**2d0*  &
                       coupl(nGC_2))/(32d0*pi**2d0)
      coupl(nGC_1384) = coupl(nGC_MI)*dZuR_QED2
      coupl(nGC_1385) = coupl(nGC_MI)*dZuR_QCD2
      coupl(nGC_1382) = coupl(nGC_MI)*dZtL_QED2
      coupl(nGC_1388) = coupl(nGC_MI)*dZuL_QED2
      coupl(nGC_1389) = coupl(nGC_MI)*dZuL_QCD2
      coupl(nGC_1359) = coupl(nGC_MI)*dZdR_QCD2
      coupl(nGC_1291) = coupl(nGC_1085) + coupl(nGC_MB)*dZbL_QCD2/2d0 + coupl( &
                        nGC_MB)*dZbR_QCD2/2d0
      coupl(nGC_799) = coupl(nGC_19)**2d0*coupl(nGC_83)*sq2**2d0*(Nc**2d0 - 1d0&
                       )/(32d0*pi**2d0*Nc)
      coupl(nGC_1064) = coupl(nGC_477)*dZee_QED2 + coupl(nGC_478)*dsw_QED2 +   &
                        coupl(nGC_479)*dcw_QED2
      coupl(nGC_962) = coupl(nGC_603)*dlam_QED4
      coupl(nGC_963) = -cima*dlam_QED4
      coupl(nGC_966) = coupl(nGC_702)*dZee_QED2 + coupl(nGC_703)*dsw_QED2
      coupl(nGC_967) = coupl(nGC_623)*dZee_QED2 + coupl(nGC_624)*dsw_QED2 +    &
                       coupl(nGC_625)*dcw_QED2
      coupl(nGC_964) = coupl(nGC_693)*dZee_QED2 + coupl(nGC_694)*dsw_QED2
      coupl(nGC_969) = coupl(nGC_646)*dZee_QED2 + coupl(nGC_647)*dcw_QED2 +    &
                       coupl(nGC_648)*dvev_QED1
      coupl(nGC_1272) = coupl(nGC_MI)*dZnu_eL_QED2
      coupl(nGC_848) = coupl(nGC_19)*sq2*(4d0*coupl(nGC_1)**2d0 + coupl(nGC_124&
                       )**2d0 + coupl(nGC_125)*coupl(nGC_222) + coupl(nGC_126  &
                       )**2d0 + 4d0*coupl(nGC_78)**2d0)/(64d0*pi**2d0)
      coupl(nGC_1074) = -cima*dMU_QED2
      coupl(nGC_1075) = -cima*dMU_QCD2
      coupl(nGC_1379) = coupl(nGC_MI)*dZtR_QCD2
      coupl(nGC_1378) = coupl(nGC_MI)*dZtR_QED2
      coupl(nGC_1071) = -cima*dME_QED2
      coupl(nGC_1181) = coupl(nGC_1026) + coupl(nGC_128)*dZcL_QCD2/2d0 + coupl(&
                        nGC_128)*dZcR_QCD2/2d0
      coupl(nGC_1073) = -cima*dMTA_QED2
      coupl(nGC_1373) = coupl(nGC_1071) + coupl(nGC_ME)*dZeMinusL_QED2/2d0 +   &
                        coupl(nGC_ME)*dZeMinusR_QED2/2d0
      coupl(nGC_1372) = coupl(nGC_MI)*dZeMinusR_QED2
      coupl(nGC_1078) = -cima*dMT_QED2
      coupl(nGC_1079) = -cima*dMT_QCD2
      coupl(nGC_1374) = coupl(nGC_MI)*dZeMinusL_QED2
      coupl(nGC_1057) = coupl(nGC_492)*dZee_QED2 + coupl(nGC_493)*dsw_QED2 +   &
                        coupl(nGC_494)*dcw_QED2
      coupl(nGC_1054) = coupl(nGC_480)*dZee_QED2 + coupl(nGC_481)*dsw_QED2 +   &
                        coupl(nGC_482)*dcw_QED2
      coupl(nGC_1003) = coupl(nGC_575)*dydo_QED1_QCD2
      coupl(nGC_1002) = coupl(nGC_575)*dydo_QED3
      coupl(nGC_1207) = coupl(nGC_139)*dZcL_QED2/2d0 + coupl(nGC_139)*dZsR_QED2&
                        /2d0 + coupl(nGC_988)
      coupl(nGC_1206) = coupl(nGC_2)*dZuR_QCD2
      coupl(nGC_1202) = coupl(nGC_1008) + coupl(nGC_133)*dZeMinusR_QED2/2d0 +  &
                        coupl(nGC_133)*dZnu_eL_QED2/2d0
      coupl(nGC_1412) = coupl(nGC_MI)*dZZ_QED2
      coupl(nGC_1209) = coupl(nGC_127)*dZcR_QED2/2d0 + coupl(nGC_127)*dZsL_QED2&
                        /2d0 + coupl(nGC_990)
      coupl(nGC_1413) = -coupl(nGC_MI)*dZZ_QED2
      coupl(nGC_1076) = -cima*dMC_QED2
      coupl(nGC_1276) = coupl(nGC_1)*dZAZ_QED2/2d0 + coupl(nGC_1064) + coupl(  &
                        nGC_82)*dZZ_QED2/2d0 + coupl(nGC_82)*dZsL_QED2
      coupl(nGC_751) = cMS*cima*coupl(nGC_19)**2d0*sq2**2d0*(-Nc**2d0 + 1d0)/( &
                       32d0*pi**2d0*Nc)
      coupl(nGC_750) = cMS*cima*(-coupl(nGC_1)**2d0 - coupl(nGC_78)*coupl(     &
                       nGC_82))/(8d0*pi**2d0)
      coupl(nGC_753) = cMB*cima*coupl(nGC_19)**2d0*sq2**2d0*(-Nc**2d0 + 1d0)/( &
                       32d0*pi**2d0*Nc)
      coupl(nGC_752) = cMB*cima*(-coupl(nGC_1)**2d0 - coupl(nGC_78)*coupl(     &
                       nGC_82))/(8d0*pi**2d0)
      coupl(nGC_1077) = -cima*dMC_QCD2
      coupl(nGC_1223) = coupl(nGC_1061) + coupl(nGC_62)*dZWMinus_QED2/2d0 +    &
                        coupl(nGC_62)*dZeMinusL_QED2/2d0 + coupl(nGC_62)*      &
                        dZnu_eL_QED2/2d0
      coupl(nGC_743) = cMC*cima*coupl(nGC_19)**2d0*sq2**2d0*(-Nc**2d0 + 1d0)/( &
                       32d0*pi**2d0*Nc)
      coupl(nGC_1104) = coupl(nGC_1)*dZsL_QCD2
      coupl(nGC_1106) = coupl(nGC_1)*dZsR_QCD2
      coupl(nGC_1107) = coupl(nGC_10)*dZWMinus_QED2 + coupl(nGC_975)
      coupl(nGC_801) = coupl(nGC_19)**2d0*coupl(nGC_79)*sq2**2d0*(Nc**2d0 - 1d0&
                       )/(32d0*pi**2d0*Nc)
      coupl(nGC_803) = (coupl(nGC_127)**2d0*coupl(nGC_82) + coupl(nGC_128)**2d0&
                       *coupl(nGC_83) + coupl(nGC_129)*coupl(nGC_224)*coupl(   &
                       nGC_83) + 4d0*coupl(nGC_2)**2d0*coupl(nGC_79) + 4d0*    &
                       coupl(nGC_79)**3d0)/(32d0*pi**2d0)
      coupl(nGC_802) = (coupl(nGC_128)**2d0*coupl(nGC_79) + coupl(nGC_129)*    &
                       coupl(nGC_224)*coupl(nGC_79) + coupl(nGC_139)**2d0*coupl&
                       (nGC_78) + 4d0*coupl(nGC_2)**2d0*coupl(nGC_83) + 2d0*   &
                       coupl(nGC_62)**2d0*coupl(nGC_64) + 4d0*coupl(nGC_62)**  &
                       2d0*coupl(nGC_82) + 4d0*coupl(nGC_83)**3d0)/(32d0*pi**  &
                       2d0)
      coupl(nGC_807) = coupl(nGC_19)**2d0*coupl(nGC_82)*sq2**2d0*(Nc**2d0 - 1d0&
                       )/(32d0*pi**2d0*Nc)
      coupl(nGC_809) = coupl(nGC_19)**2d0*coupl(nGC_78)*sq2**2d0*(Nc**2d0 - 1d0&
                       )/(32d0*pi**2d0*Nc)
      coupl(nGC_1401) = coupl(nGC_MI)*dZsR_QCD2
      coupl(nGC_1400) = coupl(nGC_MI)*dZsR_QED2
      coupl(nGC_1403) = coupl(nGC_1083) + coupl(nGC_MS)*dZsL_QCD2/2d0 + coupl( &
                        nGC_MS)*dZsR_QCD2/2d0
      coupl(nGC_1402) = coupl(nGC_1082) + coupl(nGC_MS)*dZsL_QED2/2d0 + coupl( &
                        nGC_MS)*dZsR_QED2/2d0
      coupl(nGC_1405) = coupl(nGC_MI)*dZsL_QCD2
      coupl(nGC_1404) = coupl(nGC_MI)*dZsL_QED2
      coupl(nGC_1407) = coupl(nGC_1072) + coupl(nGC_MM)*dZmuMinusL_QED2/2d0 +  &
                        coupl(nGC_MM)*dZmuMinusR_QED2/2d0
      coupl(nGC_1406) = coupl(nGC_MI)*dZmuMinusR_QED2
      coupl(nGC_1408) = coupl(nGC_MI)*dZmuMinusL_QED2
      coupl(nGC_1038) = coupl(nGC_665)*dZee_QED2 + coupl(nGC_666)*dsw_QED2
      coupl(nGC_1039) = coupl(nGC_446)*dZee_QED2 + coupl(nGC_447)*dsw_QED2
      coupl(nGC_1030) = coupl(nGC_457)*dZee_QED2 + coupl(nGC_458)*dsw_QED2 +   &
                        coupl(nGC_459)*dcw_QED2
      coupl(nGC_1031) = coupl(nGC_448)*dZee_QED2 + coupl(nGC_449)*dsw_QED2
      coupl(nGC_1032) = coupl(nGC_699)*dsw_QED2 + coupl(nGC_700)*dZee_QED2 +   &
                        coupl(nGC_701)*dvev_QED1
      coupl(nGC_1033) = coupl(nGC_546)*dZee_QED2 + coupl(nGC_547)*dsw_QED2
      coupl(nGC_1034) = coupl(nGC_544)*dZee_QED2 + coupl(nGC_545)*dsw_QED2
      coupl(nGC_1035) = coupl(nGC_614)*dZee_QED2
      coupl(nGC_1036) = coupl(nGC_516)*dZee_QED2 + coupl(nGC_517)*dsw_QED2
      coupl(nGC_1037) = coupl(nGC_526)*dZee_QED2 + coupl(nGC_527)*dsw_QED2
      coupl(nGC_715) = cima*(Nc*coupl(nGC_126)**2d0 + Nc*coupl(nGC_128)**2d0 + &
                       Nc*coupl(nGC_132)**2d0 + Nc*coupl(nGC_141)**2d0 + Nc*   &
                       coupl(nGC_143)**2d0 + Nc*coupl(nGC_149)**2d0 + coupl(   &
                       nGC_135)**2d0 + coupl(nGC_138)**2d0 + coupl(nGC_147)**  &
                       2d0)/(24d0*pi**2d0)
      coupl(nGC_714) = (-Nc*cMB**2d0*cima*coupl(nGC_124)**2d0 - Nc*cMB**2d0*   &
                       cima*coupl(nGC_142)**2d0 - Nc*cMC**2d0*cima*coupl(      &
                       nGC_127)**2d0 - Nc*cMC**2d0*cima*coupl(nGC_139)**2d0 -  &
                       Nc*cMD**2d0*cima*coupl(nGC_130)**2d0 - Nc*cMD**2d0*cima*&
                       coupl(nGC_148)**2d0 - Nc*cMS**2d0*cima*coupl(nGC_127)** &
                       2d0 - Nc*cMS**2d0*cima*coupl(nGC_139)**2d0 - Nc*cMT**2d0&
                       *cima*coupl(nGC_124)**2d0 - Nc*cMT**2d0*cima*coupl(     &
                       nGC_142)**2d0 - Nc*cMU**2d0*cima*coupl(nGC_130)**2d0 -  &
                       Nc*cMU**2d0*cima*coupl(nGC_148)**2d0 - cME**2d0*cima*   &
                       coupl(nGC_133)**2d0 - cMM**2d0*cima*coupl(nGC_136)**2d0 &
                        - cMTA**2d0*cima*coupl(nGC_145)**2d0 - 2d0*cMW**2d0*   &
                       coupl(nGC_47) - cMZ**2d0*coupl(nGC_95) + 2d0*cima*coupl(&
                       nGC_110)**2d0 + 2d0*cima*coupl(nGC_99)**2d0)/(16d0*pi** &
                       2d0)
      coupl(nGC_1028) = coupl(nGC_509)*dyt_QED1_QCD2
      coupl(nGC_1150) = coupl(nGC_1057) + coupl(nGC_56)*dZWMinus_QED2 + coupl( &
                        nGC_56)*dZZ_QED2 + coupl(nGC_77)*dZAZ_QED2
      coupl(nGC_939) = cima*coupl(nGC_19)**3d0*sq2**3d0*(coupl(nGC_78) + coupl(&
                       nGC_79) + coupl(nGC_82) + coupl(nGC_83))/(128d0*pi**2d0)
      coupl(nGC_935) = cima*coupl(nGC_19)**2d0*sq2**2d0*(-coupl(nGC_126)**2d0  &
                        - coupl(nGC_128)**2d0 - coupl(nGC_132)**2d0 - coupl(   &
                       nGC_141)**2d0 - coupl(nGC_143)**2d0 - coupl(nGC_149)**  &
                       2d0)/(16d0*pi**2d0)
      coupl(nGC_936) = cima*coupl(nGC_19)**2d0*sq2**2d0*(coupl(nGC_126)**2d0 + &
                       coupl(nGC_128)**2d0 + coupl(nGC_132)**2d0 + coupl(      &
                       nGC_141)**2d0 + coupl(nGC_143)**2d0 + coupl(nGC_149)**  &
                       2d0)/(16d0*pi**2d0*Nc)
      coupl(nGC_931) = cima*(10d0*Nc*coupl(nGC_124)**2d0*coupl(nGC_126)**2d0 + &
                       10d0*Nc*coupl(nGC_124)**2d0*coupl(nGC_143)**2d0 + 20d0* &
                       Nc*coupl(nGC_124)*coupl(nGC_126)*coupl(nGC_142)*coupl(  &
                       nGC_143) + 10d0*Nc*coupl(nGC_126)**2d0*coupl(nGC_142)** &
                       2d0 + 10d0*Nc*coupl(nGC_127)**2d0*coupl(nGC_128)**2d0 + &
                       10d0*Nc*coupl(nGC_127)**2d0*coupl(nGC_141)**2d0 + 20d0* &
                       Nc*coupl(nGC_127)*coupl(nGC_128)*coupl(nGC_139)*coupl(  &
                       nGC_141) + 10d0*Nc*coupl(nGC_128)**2d0*coupl(nGC_139)** &
                       2d0 + 10d0*Nc*coupl(nGC_130)**2d0*coupl(nGC_132)**2d0 + &
                       10d0*Nc*coupl(nGC_130)**2d0*coupl(nGC_149)**2d0 + 20d0* &
                       Nc*coupl(nGC_130)*coupl(nGC_132)*coupl(nGC_148)*coupl(  &
                       nGC_149) + 10d0*Nc*coupl(nGC_132)**2d0*coupl(nGC_148)** &
                       2d0 + 10d0*Nc*coupl(nGC_139)**2d0*coupl(nGC_141)**2d0 + &
                       10d0*Nc*coupl(nGC_142)**2d0*coupl(nGC_143)**2d0 + 10d0* &
                       Nc*coupl(nGC_148)**2d0*coupl(nGC_149)**2d0 + 10d0*coupl(&
                       nGC_133)**2d0*coupl(nGC_135)**2d0 + 10d0*coupl(nGC_136  &
                       )**2d0*coupl(nGC_138)**2d0 + 12d0*coupl(nGC_14)**2d0 +  &
                       10d0*coupl(nGC_145)**2d0*coupl(nGC_147)**2d0 + 6d0*coupl&
                       (nGC_47)**2d0 + 12d0*coupl(nGC_69)**2d0 + 3d0*coupl(    &
                       nGC_95)*coupl(nGC_96))/(48d0*pi**2d0)
      coupl(nGC_930) = cima*coupl(nGC_19)**2d0*sq2**2d0*(-coupl(nGC_78)**2d0 - &
                       coupl(nGC_79)**2d0 - coupl(nGC_82)**2d0 - coupl(nGC_83  &
                       )**2d0)/(32d0*pi**2d0*Nc)
      coupl(nGC_933) = cima*(5d0*Nc*coupl(nGC_124)**4d0 + 5d0*Nc*coupl(nGC_127 &
                       )**4d0 + 5d0*Nc*coupl(nGC_130)**4d0 + 5d0*Nc*coupl(     &
                       nGC_139)**4d0 + 5d0*Nc*coupl(nGC_142)**4d0 + 5d0*Nc*    &
                       coupl(nGC_148)**4d0 + 3d0*coupl(nGC_10)**2d0 + 5d0*coupl&
                       (nGC_133)**4d0 + 5d0*coupl(nGC_136)**4d0 + 5d0*coupl(   &
                       nGC_145)**4d0 + 6d0*coupl(nGC_47)**2d0 + 6d0*coupl(     &
                       nGC_90)**2d0 + 3d0*coupl(nGC_95)**2d0)/(24d0*pi**2d0)
      coupl(nGC_1324) = coupl(nGC_2)*dZtL_QCD2
      coupl(nGC_1249) = coupl(nGC_148)*dZdL_QED2/2d0 + coupl(nGC_148)*dZuR_QED2&
                        /2d0 + coupl(nGC_984)
      coupl(nGC_1321) = coupl(nGC_1061) + coupl(nGC_62)*dZWMinus_QED2/2d0 +    &
                        coupl(nGC_62)*dZmuMinusL_QED2/2d0 + coupl(nGC_62)*     &
                        dZnu_muL_QED2/2d0
      coupl(nGC_1246) = coupl(nGC_1002) + coupl(nGC_132)*dZH_QED2/2d0 + coupl( &
                        nGC_132)*dZdL_QED2/2d0 + coupl(nGC_132)*dZdR_QED2/2d0
      coupl(nGC_1245) = coupl(nGC_963) + coupl(nGC_GPGMGPGM)
      coupl(nGC_718) = -Nc*cima*coupl(nGC_276)**2d0*sq2**2d0/(96d0*pi**2d0)
      coupl(nGC_1222) = coupl(nGC_1035) + coupl(nGC_3)*dZA_QED2/2d0 + coupl(   &
                        nGC_3)*dZWMinus_QED2 + coupl(nGC_64)*dZZA_QED2/2d0
      coupl(nGC_1350) = coupl(nGC_MI)*dZg_QCD2
      coupl(nGC_980) = coupl(nGC_561)*dZee_QED2 + coupl(nGC_562)*dsw_QED2 +    &
                       coupl(nGC_563)*dcw_QED2
      coupl(nGC_983) = coupl(nGC_598)*dZgs_QCD2
      coupl(nGC_872) = coupl(nGC_145)*coupl(nGC_80)*coupl(nGC_86)/(4d0*pi**2d0)
      coupl(nGC_1140) = coupl(nGC_1038) + coupl(nGC_47)*dZWMinus_QED2
      coupl(nGC_1141) = coupl(nGC_1063) + coupl(nGC_2)*dZAZ_QED2/2d0 + coupl(  &
                        nGC_83)*dZZ_QED2/2d0 + coupl(nGC_83)*dZuL_QED2
      coupl(nGC_1142) = coupl(nGC_83)*dZuL_QCD2
      coupl(nGC_1143) = coupl(nGC_1062) + coupl(nGC_2)*dZAZ_QED2/2d0 + coupl(  &
                        nGC_79)*dZZ_QED2/2d0 + coupl(nGC_79)*dZuR_QED2
      coupl(nGC_1144) = coupl(nGC_79)*dZuR_QCD2
      coupl(nGC_1145) = coupl(nGC_13)*dZWMinus_QED2/2d0 + coupl(nGC_13)*       &
                        dZZ_QED2/2d0 + coupl(nGC_68)*dZAZ_QED2/2d0 + coupl(    &
                        nGC_957)
      coupl(nGC_1146) = coupl(nGC_10)*dZA_QED2 + coupl(nGC_76)*dZZA_QED2 +     &
                        coupl(nGC_975)
      coupl(nGC_1148) = coupl(nGC_1028) + coupl(nGC_143)*dZtL_QCD2/2d0 + coupl(&
                        nGC_143)*dZtR_QCD2/2d0
      coupl(nGC_1149) = coupl(nGC_96)*dZZA_QED2/2d0
      coupl(nGC_748) = cima*(-coupl(nGC_1)**2d0 - coupl(nGC_62)**2d0 - coupl(  &
                       nGC_82)**2d0)/(16d0*pi**2d0)
      coupl(nGC_749) = cima*(-coupl(nGC_1)**2d0 - coupl(nGC_78)**2d0)/(16d0*pi &
                       **2d0)
      coupl(nGC_740) = cima*(-coupl(nGC_2)**2d0 - coupl(nGC_62)**2d0 - coupl(  &
                       nGC_83)**2d0)/(16d0*pi**2d0)
      coupl(nGC_1162) = coupl(nGC_1036) + coupl(nGC_50)*dZWMinus_QED2
      coupl(nGC_797) = (coupl(nGC_145)**2d0*coupl(nGC_86) + coupl(nGC_146)*    &
                       coupl(nGC_270)*coupl(nGC_85) + coupl(nGC_147)**2d0*coupl&
                       (nGC_85) + 4d0*coupl(nGC_4)**2d0*coupl(nGC_80) + 4d0*   &
                       coupl(nGC_80)**3d0)/(32d0*pi**2d0)
      coupl(nGC_791) = (coupl(nGC_145)**2d0*coupl(nGC_80) + 2d0*coupl(nGC_62)**&
                       2d0*coupl(nGC_64) + 4d0*coupl(nGC_62)**2d0*coupl(nGC_85 &
                       ) + 4d0*coupl(nGC_86)**3d0)/(32d0*pi**2d0)
      coupl(nGC_790) = (coupl(nGC_136)**2d0*coupl(nGC_80) + 2d0*coupl(nGC_62)**&
                       2d0*coupl(nGC_64) + 4d0*coupl(nGC_62)**2d0*coupl(nGC_85 &
                       ) + 4d0*coupl(nGC_86)**3d0)/(32d0*pi**2d0)
      coupl(nGC_793) = (coupl(nGC_133)**2d0*coupl(nGC_86) + coupl(nGC_134)*    &
                       coupl(nGC_310)*coupl(nGC_85) + coupl(nGC_135)**2d0*coupl&
                       (nGC_85) + 4d0*coupl(nGC_4)**2d0*coupl(nGC_80) + 4d0*   &
                       coupl(nGC_80)**3d0)/(32d0*pi**2d0)
      coupl(nGC_1258) = coupl(nGC_79)*dZcR_QCD2
      coupl(nGC_741) = cima*(-coupl(nGC_2)**2d0 - coupl(nGC_79)**2d0)/(16d0*pi &
                       **2d0)
      coupl(nGC_746) = cMD*cima*(-coupl(nGC_1)**2d0 - coupl(nGC_78)*coupl(     &
                       nGC_82))/(8d0*pi**2d0)
      coupl(nGC_744) = cMT*cima*(-coupl(nGC_2)**2d0 - coupl(nGC_79)*coupl(     &
                       nGC_83))/(8d0*pi**2d0)
      coupl(nGC_1317) = coupl(nGC_MI)*dZnu_muL_QED2
      coupl(nGC_971) = coupl(nGC_638)*dlam_QED4 + coupl(nGC_639)*dvev_QED1
      coupl(nGC_970) = coupl(nGC_528)*dsw_QED2 + coupl(nGC_529)*dZee_QED2 +    &
                       coupl(nGC_530)*dcw_QED2 + coupl(nGC_531)*dvev_QED1
      coupl(nGC_973) = coupl(nGC_680)*dsw_QED2 + coupl(nGC_681)*dZee_QED2 +    &
                       coupl(nGC_682)*dvev_QED1
      coupl(nGC_972) = coupl(nGC_518)*dlam_QED4 + coupl(nGC_519)*dvev_QED1
      coupl(nGC_974) = coupl(nGC_704)*dsw_QED2 + coupl(nGC_705)*dZee_QED2 +    &
                       coupl(nGC_706)*dvev_QED1
      coupl(nGC_977) = coupl(nGC_698)*dZee_QED2
      coupl(nGC_976) = coupl(nGC_574)*dZee_QED2
    end subroutine fill_CTcouplings_mdl1
end module fill_ctcouplings1
